var pageNo = 1;
var pageSize = 10;
var oldData = null;
var loadLock = true;
var activityId = localStorage.getItem('activityId_db');
var productId = localStorage.getItem('productId_db');

//			查看最新揭晓的详细信息(一元玩购)
var myDetailInfo = new Vue({
	el: "#recordDetailInfo",
	data: {
		detailInfoList: [],
		firstImg: null,
		lastImg: null,
		detailProductImgList: [],
		detailRecordList: []
	}
})

getRecordDetailInfo(activityId, pageNo, pageSize)

function getRecordDetailInfo(activityId, pageNo, pageSize) {
	mui.ajaxPost(GETOPENRECORDDETAILINFO, {
		activityId: activityId,
		pageNo: pageNo,
		pageSize: pageSize
	}, function success(data) {
		if(data.status == '1') {

			myDetailInfo.detailInfoList = data.data;

			myDetailInfo.firstImg = data.data.productImageList[0];
			myDetailInfo.lastImg = data.data.productImageList[data.data.productImageList.length - 1];
			myDetailInfo.detailProductImgList = data.data.productImageList;
			myDetailInfo.detailRecordList = data.data.joinRecordVoList;

			//indicator

			var indicator = document.getElementById('indicator');
			var num = data.data.productImageList.length;
			switch(num) {
				case 1:
					indicator.innerHTML = '<div class="mui-indicator"></div>';
					break;
				case 2:
					indicator.innerHTML = '<div class="mui-indicator"></div><div class="mui-indicator"></div>';

					break;
				case 3:
					indicator.innerHTML = '<div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div>';
					break;
				case 4:
					indicator.innerHTML = '<div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div>';
					break;
				case 5:
					indicator.innerHTML = '<div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div>';
					break;
				case 6:
					indicator.innerHTML = '<div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div>';
					break;
				case 7:
					indicator.innerHTML = '<div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div>';

					break;
				case 8:
					indicator.innerHTML = '<div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div>';
					break;
				case 9:
					indicator.innerHTML = '<div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div>';
					break;
				case 10:
					indicator.innerHTML = '<div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div>';

					break;
			}

			var firstIndicator = document.getElementsByClassName('mui-indicator')[0];
			var firstIndicatorClass = firstIndicator.getAttribute('class');
			var addIndicator = firstIndicatorClass.concat(' mui-active');
			firstIndicator.setAttribute('class', addIndicator);

			//			if(data.data.activityStatusCode=='opened'){
			//				document.getElementById('activityStatusCode').innerHTML='已揭晓';
			//			}else{
			//				document.getElementById('activityStatusCode').innerHTML='正在揭晓'
			//			}
			//			有活动有跳转,有马上参与按钮
			if(data.data.hasNewActivity) {
				document.getElementById('fixed').style.display = 'block';

				mui("#fixed").on("tap", 'button', function() {

					toView("detail", "../../html/home/detail.html");
				});

			} else {
				document.getElementById('fixed').style.display = 'none';
			}

			if(data.data.leftMillisecond != null) {
				OpenTime(data.data.leftMillisecond)
			}

			if(data.data.activityStatusCode == 'waiting') {
				var opentime = document.getElementById('opentime');
				opentime.innerHTML = "正在计算中...";

			}

			if(data.data.activityStatusCode == 'opening') {
				var opentime = document.getElementById('opentime');
				opentime.innerHTML = "正在计算中...";

			}
			myDetailInfo.$nextTick(function() {
				setTimeout(Height, 50);

				function Height() {
					if(data.data.standard == "1080*538") {
						var ingH = $("#slider .mui-slider-item").height();
						$("#slider").height(ingH);
					};
					if(data.data.standard == "400*400") {
						$(".mui-slider-item img").addClass("goodsImg");
					};
				}
				//跳转到otherPeoplePage.html
				mui('.pr').on('tap', '.mui-table-view-cell img', function(e) {
					e.stopPropagation();
					var memberId = this.attributes.userId.value;
					localStorage.setItem("memberId", memberId);
					mui.openWindow({
						url: 'otherPeoplePage.html',
						id: 'otherPeoplePage'
					})

				});

			})

		}
	}, function(error) {
		mui.toast('网络错误')
	})
};

//	点击加载更多(一元玩购 最新揭晓详情时使用)
var myBuyInfo = new Vue({
	el: "#buyRecordId",
	data: {
		buyInfoList: []
	}
})

function getBuyDetailInfo(activityId, pageNo, pageSize) {
	mui.ajaxPost(QUERYBUYRECORDLIST, {
		activityId: activityId,
		pageNo: pageNo,
		pageSize: pageSize
	}, function success(data) {
		if(data.status == '1') {
			//点击加载
			if(pageNo == 1) {
				myBuyInfo.buyInfoList = data.data;
				if(data.data != null) {
					if(data.data.length < 10) {
						mui('#buyRecordId').pullRefresh().endPullupToRefresh(true);
						loadLock = false;
					}
				}
			} else {
				oldData = myBuyInfo.buyInfoList;
				myBuyInfo.buyInfoList = oldData.concat(data.data);
				var newdata = data.data;				
				if(newdata.length < 10) {
					loadLock = false;
					mui('#buyRecordId').pullRefresh().endPullupToRefresh(true);
				}
			}

			myBuyInfo.$nextTick(function() {

				//跳转到otherPeoplePage.html
				mui('#buyRecordId').on('tap', '.mui-table-view-cell img', function(e) {
					e.stopPropagation();
					var memberId = this.attributes.userId.value;
					localStorage.setItem("memberId", memberId);
					mui.openWindow({
						url: 'otherPeoplePage.html',
						id: 'otherPeoplePage'
					})

				})

			})
		}
	}, function(error) {
		mui.toast('网络错误')
	})
};

getBuyDetailInfo(activityId, pageNo, pageSize)

//mui("#buyRecordId").on("tap", ".more", function() {

function announceDetialGetMore() {
	//	alert(1)
	if(loadLock == true) {
		pageNo++;
		getBuyDetailInfo(activityId, pageNo, pageSize);
		//		this.endPullUpToRefresh(false);

	}

}

//});

var activityStatusCode = localStorage.getItem('activityStatusCode_db');

console.log(activityStatusCode)

mui('#hour').on('tap', 'button', function() {

	mui.openWindow({
		url: 'calcdetail.html',
		id: 'calcdetail.html'

	})
})
mui('#luckyNum').on('tap', 'button', function() {

	mui.openWindow({
		url: 'calcdetail.html',
		id: 'calcdetail.html'

	})
})

function OpenTime(time) {
	var begin_date = parseInt(time / 1000);
	var begin_h = parseInt(begin_date / 3600);
	var begin_m = parseInt((begin_date - begin_h * 3600) / 60);
	var begin_s = begin_date - begin_h * 3600 - begin_m * 60;
	var begin_haom = 0;
	//					console.log(begin_h, begin_m, begin_s, begin_haom);
	//
	var h, m, s;
	var timers1 = setInterval(function() {
		begin_haom -= 15;
		if(begin_haom < 0) {
			begin_haom = begin_haom < 0 ? begin_haom + 1000 : begin_haom;
			begin_s--;
		}
		if(begin_s < 0) {
			begin_s = begin_s < 0 ? 59 : begin_s;
			begin_m--;
		}
		if(begin_m < 0) {
			begin_m = begin_m < 0 ? 59 : begin_m;
			begin_h--;
		}
		h = begin_h < 10 ? '0' + begin_h + ':' : begin_h + ':';
		m = begin_m < 10 ? '0' + begin_m + ':' : begin_m + ':';
		s = begin_s < 10 ? '0' + begin_s + ':' : begin_s + ':';

		//		显示位数
		hm = parseInt((begin_haom / 1));

		//		补零
		hm = hm < 100 ? ('0' + hm) : hm;
		hm = hm < 10 ? ('0' + hm) : hm;
		//
		if(m == 0 && s == 0) {
			hm = 0;
		}
		//
		var opentime = document.getElementById('opentime');

		opentime.innerHTML = h + m + s + hm;
		//		if(begin_h == 0 && begin_s == 0 && begin_m == 0) {
		//			hm = 0 + '0';
		//			opentime.innerHTML = m + s + hm;
		//		}

		if(begin_h == 0 && begin_s == 0 && begin_m == 0) {

			opentime.innerHTML = "00:00:000";

			clearInterval(timers1);

			opentime.innerHTML = "正在计算中...";
		}
	}, 15);
}