mui.init();

// rem单位
(function() {
	var html = document.getElementsByTagName('html')[0];
	var width = document.documentElement.clientWidth || document.body.clientWidth;
	html.style.fontSize = width / 375 * 20 * 2 + 'px';
})();

mui.plusReady(function() {
	eventPointActivity('MY_DIAMOND', '', '');
});

var pageNo = 1;
var pageSize = 50;
//返回刷新
document.getElementsByClassName("mui-action-back")[0].addEventListener("tap", function() {
	var main = plus.webview.getWebviewById('main');
	main.reload();
	mui.back();
});
//时间转换
Vue.filter('dateTime', function(time) {
	var mytime = new Date(time);
	var year = mytime.getFullYear();
	var month = mytime.getMonth() + 1;
	var day = mytime.getDate();
	var hours = mytime.getHours();
	var minutes = mytime.getMinutes();
	var seconde = mytime.getSeconds();
	month = checkTime(month);
	day = checkTime(day);
	hours = checkTime(hours);
	minutes = checkTime(minutes);
	seconde = checkTime(seconde);
	return year + "-" + month + "-" + day + " " + hours + ":" + minutes + ":" + seconde;

});

function checkTime(i) { //将0-9的数字前面加上0，例1变为01 
	if(i < 10) {
		i = "0" + i;
	}
	return i;
}
mui(".content").on("tap", "button", function() {
	toView("turntable", "turntable.html");
})
var mission = new Vue({
	el: '#mission',
	data: {
		list: [],
		list1: []
	}
});
//钻石任务
mui.ajaxPost(DIAMONDTASK, {
	pageNo: pageNo,
	pageSize: pageSize
}, function success(data) {
	if(data.status == "1") {
		mission.list = data.message;
	}
}, function error(err) {
	mui.toast("网络出错了！！")
})

//钻石记录
mui.ajaxPost(DIAMONDRECORD, {
	pageNo: pageNo,
	pageSize: pageSize
}, function success(data) {
	if(data.status == "1") {
		mission.list1 = data.message;
		mission.$nextTick(function() {
			mui("ul").on("tap", ".mui-table-view-cell", function() {
				var taskType = $(this).attr("taskType");
				if(taskType == "夺宝") {
					toView("main", "../home/main.html");
				}
				if(taskType == "充值") {
					toView("pay", "../home/pay.html");
				}
				if(taskType == "晒单") {
					toView("dbluck", "../mine/db-lucky-record.html");
				}
				if(taskType == "首邀" || taskType == "邀请") {
					toView("invite", "invite.html");
				}
			})
		})
	}
}, function error(err) {
	mui.toast("网络出错了！！")
});
mui("#item2").on("tap", ".more", function() {
	mui.ajaxPost(DIAMONDRECORD, {
		pageNo: pageNo++,
		pageSize: pageSize
	}, function success(data) {
		if(data.status == "1") {
			if(data.message.length < pageSize) {
				$(".more").html("没有更多了！");
				return;
			} else {
				var oldList = mission.list1
				mission.list1 = oldList.concat(data.message);
			}

		}

	}, function error(err) {
		mui.toast("网络出错了！！")
	});
})