mui.init();

// rem单位
(function() {
    var html = document.getElementsByTagName('html')[0];
    var width = document.documentElement.clientWidth || document.body.clientWidth;
    html.style.fontSize = width / 375 * 20 * 2 + 'px';
})();

		//				进入app页面自动加载
mui.plusReady(function(){
	
	eventPointActivity("HOME_PAGE", '', '');
})

$("body").width($(window).width());
Vue.use(VueLazyload, {
	preLoad: 1.3,
	error: '../../images/errorimage.png',
	loading: '../../images/loading.gif'
});
var myVue = new Vue({
	el: '#homepagedata',
	data: {
		hotProducts: [], //人气
		newProducts: [], //新品
		priceProducts: [], //总价-
		progressProducts: [], //进度
		recommedProducts: [], //推荐
		firstimg: {},
		centerimg: [],
		finalimg: {},
		winnerList: [] //中奖广告
	}
});
hideRechage();
var activeTag = 0; //默认为第一个————人气
var pullRefreshObj = null;

mui.ready(function() {

	mui.each(document.querySelectorAll('#homepagedata'), function(index, pullRefreshEl) {
		mui(pullRefreshEl).pullToRefresh({
			down: {
				callback: function() {

					pullRefreshObj = this;

					setTimeout(function() {
						pullRefreshObj.refresh(true)
						requestRecommendList(1, 20, RECOMMENDGETPRODUCTS);

						if(activeTag == '0') {
							requestProductsList(1, pageSize, HOTGETPRODUCTS, 0, 0, 'down');
							pullRefreshObj.endPullDownToRefresh(false);
							loadPages[0] = 2;

						} else if(activeTag == '1') {
							requestProductsList(1, pageSize, NEWGETPRODUCTS, 1, 1, 'down');
							pullRefreshObj.endPullDownToRefresh();
							loadPages[1] = 2;
						} else if(activeTag == '2') {
							requestProductsList(1, pageSize, PRICEGETPRODUCTS, 2, 2, 'down');
							pullRefreshObj.endPullDownToRefresh();
							loadPages[2] = 2;
						} else if(activeTag == '3') {
							requestProductsList(1, pageSize, PROGRESSGETPRODUCTS, 3, 3, 'down');
							pullRefreshObj.endPullDownToRefresh();
							loadPages[3] = 2;
						}

					}, 1000);

				}
			},
			up: {
				auto: true, //可选,默认false.首次加载自动下拉刷新一次
				callback: function() {
					pullRefreshObj = this;
					//					if(index == '0') {
					pullRefreshObj.refresh(true);
					setTimeout(function() {
						if(activeTag == '0') {
							hotGetMore(pullRefreshObj);
							pullRefreshObj.endPullUpToRefresh();

						} else if(activeTag == "1") {
							newGetMore(pullRefreshObj);
							pullRefreshObj.endPullUpToRefresh();

						} else if(activeTag == "2") {
							priceGerMore(pullRefreshObj);
							pullRefreshObj.endPullUpToRefresh();
						} else if(activeTag == '3') {
							progressGetMore(pullRefreshObj);
							pullRefreshObj.endPullUpToRefresh();
						}

					}, 1500);
					//					}
				}
			}
		});

	});
});

//获取轮播图
//getbanner();
//function getbanner() {
mui.ajaxPost(BENNER, {},
	function success(data) {
		var datalenght = data.data.length;
		if(data.status == "1" && datalenght > 0) {
			//圆点个数控制
			indicatorInner = document.getElementsByClassName('mui-slider-indicator')[0];
			for(var i = 0; i < datalenght; i++) {
				if(i == 0) {
					indicatorInner.innerHTML = '<div class="mui-indicator mui-active"></div>';
				} else {
					indicatorInner.innerHTML = indicatorInner.innerHTML + '<div class="mui-indicator"></div>';
				}
			}
			myVue.firstimg = data.data[0];
			myVue.centerimg = data.data;
			myVue.finalimg = data.data[data.data.length - 1];
			if(datalenght > 1) {
				var gallery = mui('.mui-slider');
				gallery.slider({
					interval: 1000 //自动轮播周期，若为0则不自动播放，默认为0；
				});
			}
			myVue.$nextTick(function() {
				mui(".mui-slider-item").on("tap", "a", function() {
					var bannerUrl = this.getAttribute("bannerurl");
					//截取活动类型					
					var activityType = bannerUrl.substring(28);
					activityType = activityType.substring(1, 0);
					//截取活动链接
					var activityurl = bannerUrl.substring(34);
					ACTIVITY(activityType, bannerUrl);

				})
			})

		} else {
			mui.toast(data.msg);
		}

	},
	function error() {
		mui.toast("请求错误啦！！")
	})
//}
//广播
mui.ajaxPost(GETWONMESSAGES, {
		pageSize: 50,
		pageNo: 1
	}, function success(data) {
		if(data.status == "1") {
			myVue.winnerList = data.activities.content;
			myVue.$nextTick(function() {
				var Mar = document.getElementById("marquee");
				var child_div = Mar.getElementsByTagName("p");
				var picH = 30; //移动高度 
				var scrollstep = 1; //移动步幅,越大越快 
				var scrolltime = 30; //移动频度(毫秒)越大越慢 
				var stoptime = 2000; //间断时间(毫秒) 
				var tmpH = 0;
				Mar.innerHTML += Mar.innerHTML;

				function start() {
					if(tmpH < picH) {
						tmpH += scrollstep;
						if(tmpH > picH) tmpH = picH;
						Mar.scrollTop = tmpH;
						setTimeout(start, scrolltime);
					} else {
						tmpH = 0;
						Mar.appendChild(child_div[0]);
						Mar.scrollTop = 0;
						setTimeout(start, stoptime);
					}
				}
				setTimeout(start, stoptime);
			});
			//为你推荐列表商品跳转
			mui("#marquee").on("tap", "p", function() {
				var productId = this.getAttribute("goodsId");
				//console.log(ID);
				localStorage.setItem("homeGoodsId", productId);
				window.parent.popToView("detail", "detail.html");
			});
		}
	},
	function error(err) {

	});

//     十元.充值.晒单.帮助的页面跳转
mui(".content").on("tap", ".tenyuan", function() {
	var pageurl = [
		"tenyuan.html",
		"pay.html",
		"winshare.html",
		"../kefu/kefu.html"
	];
	var pageId = [
		"tenyuan",
		"pay",
		"winshare",
		"kefu"
	];
	if($(this).index() == 1) {
		if(localStorage.getItem('uniqueCode') == '' || localStorage.getItem('uniqueCode') == null) {
			window.parent.popToView("login", '../login/login.html');
			return;
		}
	}
	window.parent.popToView(pageId[$(this).index()], pageurl[$(this).index()]);
});

//刷新lock
var hotLock = false;
var newLock = false;
var priceLock = false;
var progressLock = false;
var dataLength;
//var pullRefreshObj = null;
//每次请求条数
var pageSize = 20;
//获取推荐列表
function requestRecommendList(pageNo, pageSize, IP) {
	mui.ajaxPost(IP, {
		pageNo: pageNo, // 页码， 从1开始
		pageSize: pageSize //每页显示数量
	}, function success(data) {
		myVue.recommedProducts = data.products;
		myVue.$nextTick(function() {
			mui(".recommedProgress .mui-progressbar").each(function() {
				mui(this).progressbar({
					progress: this.getAttribute("data-progress")
				}).show();
			});
			//为你推荐列表商品跳转
			mui(".productrecommed").on("tap", ".product", function() {
				var productId = this.getAttribute("goodsId");
				//console.log(ID);
				localStorage.setItem("homeGoodsId", productId);
				window.parent.popToView("detail", "detail.html");
			});
		});
	}, function error(data) {
		mui.toast('请求错误');
	})
}
requestRecommendList(1, 50, RECOMMENDGETPRODUCTS);

//            获取人气、新品、总价、进度的商品列表请求与渲染
function requestProductsList(pageNo, pageSize, IP, listIndex, tag, event, obj) {
	if(tag == 0) {
		hotLock = true;
	} else if(tag == 1) {
		newLock = true;
	} else if(tag == 2) {
		priceLock = true;
	} else if(tag == 3) {
		progressLock = true;
	}
	mui.ajaxPost(IP, {
			pageNo: pageNo, // 页码， 从1开始
			pageSize: pageSize //每页显示数量
		}, function success(data) {
			if(data.status == '1') {

				if(event == 'down') {

					if(tag == 0) {
						if(data.products.length >= pageSize) {
							hotLock = false;

						} else {
							hotLock = true;
							if(obj != null) {
								obj.endPullDownToRefresh(true);
							}
						}

					}

					if(tag == 1) {

						if(data.products.length >= pageSize) {
							newLock = false;

						} else {
							newLock = true;
							if(obj != null) {
								obj.endPullDownToRefresh(true);
							}
						}

					}
					if(tag == 2) {

						if(data.products.length >= pageSize) {
							priceLock = false;

						} else {
							priceLock = true;
							if(obj != null) {
								obj.endPullDownToRefresh(true);
							}
						}

					}

					if(tag == 3) {
						//						alert(data.products.length);
						if(data.products.length >= pageSize) {
							progressLock = false;

						} else {
							progressLock = true;
							if(obj != null) {
								obj.endPullDownToRefresh(true);
							}
						}

					}

				}

				if(event == 'up') {

					if(tag == 0) {
						dataLength = data.products.length;
						if(data.products.length >= pageSize) {
							hotLock = false;
						} else {
							hotLock = true;
							if(obj != null) {
								obj.endPullUpToRefresh(true);
							}
						}
						//					alert(loadPages[tag])
						loadPages[tag] = loadPages[tag] + 1;

					} else if(tag == 1) {
						if(data.products.length >= pageSize) {
							newLock = false;
						} else {
							newLock = true;
							if(obj != null) {
								obj.endPullUpToRefresh(true);
							}
						}

						loadPages[tag] = loadPages[tag] + 1;
					} else if(tag == 2) {
						if(data.products.length >= pageSize) {
							priceLock = false;
						} else {
							priceLock = true;
							if(obj != null) {
								obj.endPullUpToRefresh(true);
							}
						}
						loadPages[tag] = loadPages[tag] + 1;
					} else if(tag == 3) {
						if(data.products.length >= pageSize) {
							progressLock = false;
						} else {
							progressLock = true;
							if(obj != null) {
								obj.endPullUpToRefresh(true);
							}
						}
						loadPages[tag] = loadPages[tag] + 1;
					}
					if(listIndex == 0) {
						var oldData = myVue.hotProducts;
						myVue.hotProducts = oldData.concat(data.products);
					} else if(listIndex == 1) {
						var oldData = myVue.newProducts;
						myVue.newProducts = oldData.concat(data.products);
					} else if(listIndex == 2) {
						var oldData = myVue.priceProducts;
						myVue.priceProducts = oldData.concat(data.products);
					} else if(listIndex == 3) {
						var oldData = myVue.progressProducts;
						myVue.progressProducts = oldData.concat(data.products);
					}
				}
				//			obj.endPullUpToRefresh();

				if(event == 'down') {
					if(listIndex == 0) {
						myVue.hotProducts = data.products;
					} else if(listIndex == 1) {
						myVue.newProducts = data.products;
					} else if(listIndex == 2) {
						myVue.priceProducts = data.products;
					} else if(listIndex == 3) {
						myVue.progressProducts = data.products;
					}
				}
				myVue.$nextTick(function() {
					mui(".newprogress .mui-progressbar").each(function() {
						mui(this).progressbar({
							progress: this.getAttribute("data-progress")
						}).show();
					});
					
					//商品详情跳转
					mui("li").on("tap", ".onecommidify", function() {
						var productId = this.getAttribute("goodsId");
						localStorage.setItem("homeGoodsId", productId);
						window.parent.popToView("detail", "detail.html");
					});
				});

			}
		},
		function error(err) {
			if(tag == 0) {
				hotLock = false;
			} else if(tag == 1) {
				newLock = false;
			} else if(tag == 2) {
				priceLock = false;
			} else if(tag == 3) {
				progressLock = false;
			}
			mui.toast('请求错误');
		});
}
//立即购买
$('.mui-table-view').on('tap',"button",function(){
	if(localStorage.getItem('uniqueCode') == null || localStorage.getItem('uniqueCode') == '') {
		window.parent.popToView("login", '../login/login.html');
	} else {
		var goodsId = this.getAttribute("goodsId");
		var unit = this.getAttribute('unit');
		localStorage.setItem('homeGoodsUnit', unit);
		localStorage.setItem("goodsId", goodsId);
		localStorage.setItem("openType", "1");
		var surplus = this.getAttribute('difference');
		localStorage.setItem('surplus', surplus);
		//						window.parent.pageShowNum();
		window.parent.pageShowNum();
		//						window.parent.pageShow(true, "#payNumPage");
	}
});
//发起请求
//requestProductsList(1, pageSize, HOTGETPRODUCTS, 0, 0, 'up');
//获取活跃标签为点击加载

var loadPages = [1, 1, 1, 1];
//点击请求
mui(".mui-segmented-control").on("tap", ".mui-control-item", function() {
	var loaded = this.getAttribute("loading");
	activeTag = $(this).index();
	if(activeTag == "0") {
		//		人气事件点
		eventPointActivity('MOODS', '', '');
		//		alert(activeTag)
		pullRefreshObj.refresh(true);
		//		if(dataLength >= pageSize) {

		pullRefreshObj.endPullUpToRefresh(false);
		//		} else {
		//			pullRefreshObj.endPullUpToRefresh(true);

		//		}
	}
	if(activeTag == "1") {
		//		新品事件点
		eventPointActivity('NEW_PRODUCT', '', '');
		//		alert(activeTag)
		pullRefreshObj.refresh(true);
		//		if(dataLength >= pageSize) {

		pullRefreshObj.endPullUpToRefresh(false);
		//		} else {
		//			pullRefreshObj.endPullUpToRefresh(true);

		//		}
	}
	if(activeTag == "2") {
		//		总价事件点
		eventPointActivity('TOTAL_PRICE', '', '');
		//		alert(activeTag)
		pullRefreshObj.refresh(true);
		//		if(dataLength >= pageSize) {

		pullRefreshObj.endPullUpToRefresh(false);
		//		} else {
		//			pullRefreshObj.endPullUpToRefresh(true);

		//		}
	}
	if(activeTag == "3") {
		//		进度事件点
		eventPointActivity('SCHEDULE', '', '');
		//		alert(activeTag)
		pullRefreshObj.refresh(true);
		//		if(dataLength >= pageSize) {

		pullRefreshObj.endPullUpToRefresh(false);
		//		} else {
		//			pullRefreshObj.endPullUpToRefresh(true);

		//		}
	}
	if(loaded == "fristTime" && $(this).index() == 1) {
		requestProductsList(1, pageSize, NEWGETPRODUCTS, 1, 1, 'up');
		this.setAttribute("loading", "secondTime");
	};
	if(loaded == "fristTime" && $(this).index() == 2) {
		requestProductsList(1, pageSize, PRICEGETPRODUCTS, 2, 2, 'up');
		this.setAttribute("loading", "secondTime");
	};
	if(loaded == "fristTime" && $(this).index() == 3) {
		requestProductsList(1, pageSize, PROGRESSGETPRODUCTS, 3, 3, 'up');
		this.setAttribute("loading", "secondTime");
	};
})

//mui('#item1').on('tap', 'p', function() {
function hotGetMore(obj) {
	if(hotLock) {
		return;
	} else {
		requestProductsList(loadPages[activeTag], pageSize, HOTGETPRODUCTS, 0, activeTag, 'up', obj);
	}

}
//});

//mui('#item2').on('tap', 'p', function() {
function newGetMore(obj) {

	if(newLock) {
		return;
	} else {
		requestProductsList(loadPages[activeTag], pageSize, NEWGETPRODUCTS, 1, activeTag, 'up', obj);
	}
}
//});

//mui('#item3').on('tap', 'p', function() {
function priceGerMore(obj) {
	if(priceLock) {
		return;
	} else {
		requestProductsList(loadPages[activeTag], pageSize, PRICEGETPRODUCTS, 2, activeTag, 'up', obj);
	}
}
//});

//mui('#item4').on('tap', 'p', function() {
function progressGetMore(obj) {

	if(progressLock) {
		return;
	} else {
		requestProductsList(loadPages[activeTag], pageSize, PROGRESSGETPRODUCTS, 3, activeTag, 'up', obj);
	}
}
//});

function hideRechage() {
	var payStatus = localStorage.getItem("payStatus");
	if(PAYSTATUSVALUE == payStatus) {
		$("#recharge").hide();
	}
};

/*
			mui.init();
			f1()

			function f1() {
				//阻尼系数
				var deceleration = mui.os.ios ? 0.003 : 0.0009;
				mui('.mui-slider-group .mui-scroll').scroll({
					bounce: false,
					indicators: true, //是否显示滚动条
					deceleration: deceleration
				});

				mui.ready(function() {
					//循环初始化所有下拉刷新，上拉加载。
					mui.each(document.querySelectorAll('.mui-slider-group .mui-scroll'), function(index, pullRefreshEl) {
						mui(pullRefreshEl).pullToRefresh({
							up: {
								callback: function() {
									//						alert(index);
									pullRefreshObj = this;
									setTimeout(function() {

										if(index == '0') {
											hotGetMore();
										};
										if(index == '1') {
											newGetMore()

										};
										if(index == '2') {
											priceGerMore();

										};
										if(index == '3') {
											progressGetMore();
										};
										pullRefreshObj.endPullUpToRefresh();
									}, 1500);

								}
							}
						});
					});

				});
			};*/