mui.init();
var mobileType, userToken, wgtVer;
mui.plusReady(function() {
	//判断手机类型
	var mychannel = "7435CA62292449A39A8941AE7962F61A";
	localStorage.setItem("channelToken", mychannel);
	if(mui.os.android) {
		mobileType = "ANDROID";
		mychannel = getAppMeta("CHANNEL_TOKEN");
		if(mychannel == null || mychannel.length < 10) {
			mychannel = "7435CA62292449A39A8941AE7962F61A";
		}
		localStorage.setItem("channelToken", mychannel);
	} else if(mui.os.ios || true) {
		mobileType = "IOS";
		var idfa = localStorage.getItem("idfa");
		var idfv = localStorage.getItem("idfv");
		var hasInstall = localStorage.getItem("hasInstall");
		if(hasInstall == null) //第一次安装
		{
			var ASIdentifierManager = plus.ios.importClass("ASIdentifierManager");
			if(ASIdentifierManager) {
				var sharedManager = ASIdentifierManager.sharedManager();
				var advertisingIdentifier = sharedManager.advertisingIdentifier();
				if(advertisingIdentifier) {
					idfa = plus.ios.invoke(advertisingIdentifier, "UUIDString");
					console.log("idfa idfa:" + idfa);
				}
			}
			var UIDevice = plus.ios.importClass("UIDevice");
			if(UIDevice) {
				var dev = UIDevice.currentDevice();
				var identifierForVendor = dev.identifierForVendor();
				if(identifierForVendor) {
					idfv = plus.ios.invoke(identifierForVendor, "UUIDString");
				}
			}
			if(idfa != null && idfv != null) {
				localStorage.setItem("idfa", idfa);
				localStorage.setItem("idfv", idfv);

				mui.ajaxPost2(REYUN_INSTALL, {
					"appid": REYUN_APPID,
					"context": {
						"deviceid": idfa,
						"channelid": mychannel,
						"idfa": idfa,
						"idfv": idfv,
						"ip": "127.0.0.1"
					}
				}, function success(data) {
					localStorage.setItem("hasInstall", "true");
				}, function error(err) {

				});
			}
		}

		if(idfa != null && idfv != null) {
			mui.ajaxPost2(REYUN_STARTUP, {
				"appid": REYUN_APPID,
				"context": {
					"deviceid": idfa,
					"channelid": mychannel,
					"idfa": idfa,
					"idfv": idfv,
					"ip": "127.0.0.1"
				}
			}, function success(data) {

			}, function error(err) {

			});
		}

	}

	var deviceCodeStr = plus.device.uuid;
	var deviceCodeArr = deviceCodeStr.split(',');
	var deviceCode = deviceCodeArr[0];

	plus.runtime.getProperty(plus.runtime.appid, function(inf) {
		wgtVer = inf.version;

		var versionStr = wgtVer.replace(/\./g, "");
		var version_number = versionStr.substr(0, 3);
		localStorage.setItem("version_number", version_number);

		console.log("当前应用版本：" + wgtVer);
		checkUpdate();
	});

	mui.ajaxPost(PAYSTATUS, {}, function(data) {
		if(data.status == "1") {
			localStorage.setItem("payStatus", data.data.payStatus1);
		}
	}, function(err) {

	});

	function checkUpdate() {
		console.log("检测更新...");
		//				mui.ajaxPost(IP_INSTALL_INFO, {
		//					deviceCode: deviceCode,
		//					terminalSource: mobileType,
		//					channel: mychannel,
		//					clientVersion: wgtVer,
		//				}, null, null);
		mui.ajaxPost(IP_CHECK_UPDATE, {
			clientVersion: wgtVer,
			terminalSource: mobileType,
			packageName: UPDATE_FLAG
		}, function(data) {
			if(data.status == 1) {
				var isNeedUpgrade = data.data.isNeedUpgrade;
				if(isNeedUpgrade && data.data.downloadUrl) {
					downWgt(data.data.downloadUrl);
				} else {
					mainOrIndex();
				}
			} else {
				mainOrIndex();
			}
		}, function(error) {
			mainOrIndex();
		});

	}

	// 下载wgt文件
	var delay = null;
	var isUpdateFile = false;

	function downWgt(wgtUrl) {
		//wgtUrl = "http://192.168.1.126/lianlianyueai-android-1.0.1.wgt";
		console.log("更新下载地址:" + wgtUrl);
		plus.nativeUI.showWaiting("系统更新中...");
		plus.downloader.createDownload(wgtUrl, {
			filename: "_doc/update/"
		}, function(d, status) {
			if(status == 200) {
				isUpdateFile = true;
				mui.toast("下载wgt成功：" + d.filename);
				installWgt(d.filename); // 安装wgt包
			} else {
				mui.toast("下载wgt失败！" + wgtUrl);
				mainOrIndex();
				//plus.nativeUI.alert("下载wgt失败！");
			}
			plus.nativeUI.closeWaiting();
		}).start();
		delay = setTimeout(mainOrIndex, 15000);
	}

	// 更新应用资源
	function installWgt(path) {
		if(delay) clearTimeout(delay);
		plus.nativeUI.showWaiting("安装系统更新...");
		plus.runtime.install(path, {
			force: true
		}, function() {
			plus.nativeUI.closeWaiting();
			plus.nativeUI.alert("应用资源更新完成！", function() {

				plus.runtime.getProperty(plus.runtime.appid, function(inf) {
					inf.version = lastestVersion;
					console.log("当前应用版本：" + wgtVer);
					checkUpdate();
				});

				plus.runtime.restart();
			});
		}, function(e) {
			plus.nativeUI.closeWaiting();
			mui.toast("安装wgt文件失败[" + e.code + "]：" + e.message);
			//plus.nativeUI.alert("安装更新失败[" + e.code + "]：" + e.message);
			mainOrIndex();
		});
	}

	function mainOrIndex() {
		plus.nativeUI.closeWaiting();
		localStorage.setItem("show", "1");
		toView('main', 'main.html');
	}

	function getuserToken() {

		userToken = localStorage.getItem("userToken");
		if(userToken == null) {

			getRandom();
			var randomNum = localStorage.getItem("randomNum");
			var deviceCodeStr = plus.device.uuid;
			var deviceCodeArr = deviceCodeStr.split(',');
			var deviceCode = deviceCodeArr[0];
			var userTokenStr = deviceCode + randomNum;
			userTokenStr = userTokenStr.substring(0, 30);

			userToken = localStorage.setItem("userToken", userTokenStr);
		}
		return userToken;
	}
	//启动app统计		

	var init = localStorage.getItem("init");
	if(init) {
		return false;
	} else {
		setTimeout(Appinit, 2000);
		localStorage.setItem("init", "1");
	}

	function Appinit() {

		getuserToken();
		var initData = {};
		//				initData.deviceCode = deviceCode;
		//				initData.terminalSource = mobileType;
		var deviceImei = plus.device.imei;
		var deviceImeiArr = deviceImei.split(',');
		var imei = deviceImeiArr[0];
		mui.ajaxPost(QIDONG, {
			"deviceCode": deviceCode, // 设备号
			"terminalSource": mobileType, // 客户端系统 ANDROID  IOS ...,详细见TerminalSource枚举的取值范围:		
			"userToken": localStorage.getItem("userToken"), // 用户唯一标识，要保证值唯一
			"imei": imei, // 移动设备国际身份码
			//"imsi": plus.device.imsi, // 国际移动用户识别码				
			"dpi": plus.screen.scale, // 分辨率
			"gs": null, //手机制式
			"systemVersion": plus.os.version, // 系统版本
			"ilang": plus.os.language, // 语言
			"ua": plus.device.model, // 机型 
			"clientVersion": wgtVer, // 客户端版本 
		}, null, null);
		//alert("启动");
		var idfa = localStorage.getItem("idfa");
		var mychannel = localStorage.getItem("channelToken");
		var setupUrl = "http://" + PHONEHELPER + "/helper/activate.do?idfa=" + idfa + "&ip=" + "192.168.1.1" + "&os=" + plus.os.version + "&mac=&openudid=&token=" + mychannel + "&appid=" + APPID + "&hostIp=" + SERVER_IP_PAY;
		mui.ajax(setupUrl, {
			data: {},
			dataType: 'json', //服务器返回json格式数据
			type: 'get', //HTTP请求类型
			success: function(data) {

			}
		});
	}
});