mui.init();

// rem单位
(function() {
	var html = document.getElementsByTagName('html')[0];
	var width = document.documentElement.clientWidth || document.body.clientWidth;
	html.style.fontSize = width / 375 * 20 * 2 + 'px';
})();

//进入搜索页面事件点活动
mui.plusReady(function() {
	eventPointActivity('SEARCH', '', '');
})

var searchInput = document.getElementById("searchInput");
var clear = document.getElementById("clear");
//取消
//mui("header").on("tap","a",function(){
//	mui.back();
//})
//清空input
mui("header").on("tap", "#clear", function() {
	searchInput.value = "";
	clear.classList.add("dsn");
})
//显示叉叉

searchInput.addEventListener('input', function(e) {
	if(this.value == "") {
		clear.classList.add("dsn");
	} else {
		clear.classList.remove("dsn");
	}
})

//刷新
window.addEventListener('refresh', function(e) { //执行刷新
	window.location.reload();
});

//获取关键词
var myVue = new Vue({
	el: '#hotWords',
	data: {
		placehoder: null,
		keyWordsList: [],
		historyList: []
	}
})

var searchKeyWordArr = [];

var searchKeyWord;

mui.ajaxPost(PRODUCTDUOBAOGETSEARCHKEYS, {}, function success(data) {
	if(data.status == "1") {

		myVue.keyWordsList = data.keys;

		myVue.placehoder = data.keys[0];

		myVue.$nextTick(function() {

			//点击热门搜索关键词获取搜索结果
			var hotWords = document.getElementById('hotWords');
			var prddet = hotWords.getElementsByClassName('prddet');

			console.log(prddet.length);

			for(var i = 0; i < prddet.length; i++) {
				prddet[i].onclick = function() {

					searchKeyWord = this.innerText;

					localStorage.setItem("searchKeyWord", searchKeyWord);

					searchKeyWordArr.unshift(searchKeyWord);

					//	去重
					searchKeyWordArr = removeDuplicatedItem(searchKeyWordArr);

					console.log(searchKeyWordArr);

					localStorage.setItem("localKeyWordStr", searchKeyWordArr);

					mui.openWindow({
						url: 'searchbear.html',
						id: 'searchbear'
					})
				}

			};

			//历史记录控制

			var recordTitle = document.getElementById('historyRecordTitle');
			var historyRecord = document.getElementById('historyRecord');
			var ali = historyRecord.getElementsByTagName('li');

			//			alert('78:' + ali.length);
			if(ali.length > 0) {

				recordTitle.style.display = 'block';

				//点击历史搜索获取搜索结果

				for(var i = 0; i < ali.length; i++) {
					ali[i].onclick = function() {
						searchKeyWord = this.innerText;
						localStorage.setItem("searchKeyWord", searchKeyWord);

						searchKeyWordArr.unshift(searchKeyWord);

						//						去重
						searchKeyWordArr = removeDuplicatedItem(searchKeyWordArr);
						//alert(searchKeyWord)
						console.log(searchKeyWordArr);
						localStorage.setItem("localKeyWordStr", searchKeyWordArr);

						mui.openWindow({
							url: 'searchbear.html',
							id: 'searchbear'
						})

					}
				}
			} else {
				recordTitle.style.display = 'none';
			}

		})

	}
}, function error(err) {
	mui.toast('网络错误');
});

// 去掉字符串前后所有空格
function Trim(str) {
	return str.replace(/(^\s*)|(\s*$)/g, "");
}

//获取输入的搜索关键词
searchBtn.addEventListener('click', function() {

	searchKeyWord = Trim(searchInput.value);

	if(searchKeyWord == '') {
		mui.toast('请输入您要搜索的关键词');
	} else {

		localStorage.setItem("searchKeyWord", searchKeyWord);

		searchKeyWordArr.unshift(searchKeyWord);

		//去重
		searchKeyWordArr = removeDuplicatedItem(searchKeyWordArr);

		console.log(searchKeyWordArr);

		localStorage.setItem("localKeyWordStr", searchKeyWordArr);

		toView('searchbear', 'searchbear.html');

	}
})

var localKeyWordStr = localStorage.getItem("localKeyWordStr");

//alert(localKeyWordStr);
//字符串转为数组

searchKeyWordArr = localKeyWordStr.split(',');

//去除空数组
searchKeyWordArr = deleteBlankSpace(searchKeyWordArr);

console.log(searchKeyWordArr);

//去重

searchKeyWordArr = removeDuplicatedItem(searchKeyWordArr);
//alert(searchKeyWordArr);

//searchKeyWordArr=searchKeyWordArr.slice(0,10);

myVue.historyList = searchKeyWordArr;

//alert('154:' + myVue.historyList );
//清除历史记录 

recordTitle = document.getElementById('historyRecordTitle');

recordTitle.onclick = function() {

	localStorage.removeItem("localKeyWordStr");

	searchKeyWordArr = [];
	myVue.historyList = [];
	recordTitle.style.display = 'none';
}

//删除数组的空值
function deleteBlankSpace(array) {
	for(var i = 0; i < array.length; i++) {
		if(array[i] == "" || typeof(array[i]) == "undefined" || array[i] == "null") {
			array.splice(i, 1);
			i = i - 1;

		}

	}
	return array;
}
//数组去重
function removeDuplicatedItem(array) {
	var ret = [];

	for(var i = 0, j = array.length; i < j; i++) {
		if(ret.indexOf(array[i]) === -1) {
			ret.push(array[i]);
		}
	}

	return ret;
}