mui.init();

var productId = localStorage.getItem('homeGoodsId');
var PAGESIZE = 10;
var pageNo = 1;
var moreLock = false;
Vue.use(VueLazyload, {
	preLoad: 1.3,
	error: '../../images/errorimage.png',
	loading: '../../images/loading.gif'
});

var vue = new Vue({
	el: "#sharebody",
	data: {
		shareList: []
	}
});

function getShare() {
	mui.ajaxPost(GETSHARESBYPRODUCTID, {
		productId: productId, // 商品id
		pageNo: pageNo, // 页码，从1开始
		pageSize: PAGESIZE // 每页数量
	}, function success(data) {
		moreLock = false;
		if(data.status == '1') {
			if (data.shares.length < PAGESIZE) {
				moreLock = true;
				document.getElementsByClassName('more')[0].innerHTML = '没有更多了啦！！';
			}
			var oldData = vue.shareList;
			vue.shareList = oldData.concat(data.shares);
			console.log('sdwe');
			pageNo = pageNo + 1;
		}else {
			mui.toast(data.msg);
		}
	}, function error(err) {
		moreLock = false;
	});
}
mui('#sharebody').on('tap','.more',function(){
	if (moreLock) {
		return;
	}
	moreLock = true;
	getShare();
});

getShare();

//时间转换
Vue.filter('dateTime', function(time) {
	var mytime = new Date(time);
	var year = mytime.getFullYear();
	var month = mytime.getMonth() + 1;
	var day = mytime.getDate();
	var hours = mytime.getHours();
	var minutes = mytime.getMinutes();
	var seconde = mytime.getSeconds();
	month = checkTime(month);
	day = checkTime(day);
	hours = checkTime(hours);
	minutes = checkTime(minutes);
	seconde = checkTime(seconde);
	return year + "-" + month + "-" + day + " " + hours + ":" + minutes + ":" + seconde;

});

function checkTime(i) { //将0-9的数字前面加上0，例1变为01 
	if(i < 10) {
		i = "0" + i;
	}
	return i;
}