mui.init();
Vue.use(VueLazyload, {
	preLoad: 1.3,
	error: '../../images/errorimage.png',
	loading: '../../images/loading.gif'
});
var winshare = new Vue({
	el: '#winshare',
	data: {
		list: []
	}
});
var pageNo = 1;
var pageSize = 10;
var moreLock = false;

function getList(pageNo, pageSize) {
	mui.ajaxPost(GETSHARELIST, {
		pageNo: pageNo,
		pageSize: pageSize
	}, function success(data) {
		moreLock = false;
		if(data.status == "1") {

			if(pageNo == 1) {
				if(data.data.length > 0) {
					winshare.list = data.data;

				}
			} else {
				var oldData = winshare.list;
				winshare.list = oldData.concat(data.data);
			}

			if(data.data.length < pageSize) {
				if(data.data.length != 0) {
					moreLock = true;
					mui('#winShareContainer').pullRefresh().endPullupToRefresh(true);
				}
			} else {
				pageNo++;
			}

		} else {
			mui.toast(data.msg);
		}
	}, function error(err) {
		moreLock = false;
		mui.toast("网络出错了！！！")
	})
}
getList(pageNo, pageSize);

// mui("html").on("tap",".more",function(){ 
function winShareGetMore() {

	if(moreLock) {
		return;
	} else {

		getList(++pageNo, pageSize);
	}
}
// })
//时间转换
Vue.filter('dateTime', function(time) {
	var mytime = new Date(time);
	var year = mytime.getFullYear();
	var month = mytime.getMonth() + 1;
	var day = mytime.getDate();
	var hours = mytime.getHours();
	var minutes = mytime.getMinutes();
	var seconde = mytime.getSeconds();
	month = checkTime(month);
	day = checkTime(day);
	hours = checkTime(hours);
	minutes = checkTime(minutes);
	seconde = checkTime(seconde);
	return year + "-" + month + "-" + day + " " + hours + ":" + minutes + ":" + seconde;

});

function checkTime(i) { //将0-9的数字前面加上0，例1变为01 
	if(i < 10) {
		i = "0" + i;
	}
	return i;
}

//下拉刷新 下拉加载
mui.init({
	pullRefresh: {
		container: '#winShareContainer',
		down: {
			callback: function() {
				getList(1, pageSize);
				mui('#winShareContainer').pullRefresh().endPulldownToRefresh();
			}
		},
		up: {
			contentrefresh: '正在加载...',
			callback: function() {

				winShareGetMore()
				mui('#winShareContainer').pullRefresh().endPullupToRefresh();
			}
		}
	}
});