mui.init();
//级联菜单地区

var province = null;
var city = null;
var name = null;
var mobile = null;
var street = null;

mui.ready(function() {
	var cityPicker = new mui.PopPicker({
		layer: 2
	});

	cityPicker.setData(cityData);
	var showCityPickerButton = document.getElementById('showCityPicker');
	var CityPicker = document.getElementById("CityPicker");

	showCityPickerButton.addEventListener('tap', function(event) {

		document.getElementById('userName').onblur;

		document.getElementById('telePhone').onblur;

		cityPicker.show(function(items) {
			deceleration = items[0].text + items[1].text;
			CityPicker.value = deceleration;
			province = items[0].text;
			city = items[1].text;

		});
	}, false);
})
/*		CityPicker.addEventListener('focus', function(event) {
			
			document.getElementById('userName').onblur;
	document.getElementById('telePhone').onblur;
			cityPicker.show(function(items) {
				deceleration = items[0].text + items[1].text;
				CityPicker.value = deceleration;
				newProvince = items[0].text;
				newCity = items[1].text;
	
	
	
			});
		}, false);
		
*/

// 去掉字符串前后所有空格
function Trim(str) {
	return str.replace(/(^\s*)|(\s*$)/g, "");
}

//保存按钮保存

var userName = document.getElementById('userName');
var telePhone = document.getElementById('telePhone');

var cityPicker = document.getElementById('CityPicker');
var detailAddress = document.getElementById('detailAddress');

//telePhoneValue = Trim(telePhoneValue)
//cityPickerValue = Trim(cityPickerValue)
//detailAddressValue = Trim(detailAddressValue)

//	姓名验证
//alert(1)
userName.onblur = function() {
	//	alert(1)
	var userNameValue = document.getElementById('userName').value;

	userNameValue = Trim(userNameValue);
	if(userNameValue == '') {

		mui.toast('姓名不能为空');
		return false;

	} else {
		if(userNameValue.length >= 2 && userNameValue.length <= 15) {

			name = userNameValue;

		} else {
			mui.toast('名字最少2个字，最多15个字');
			return false;
		}

	}

}
//	手机号验证

telePhone.onblur = function() {

	var telePhoneValue = document.getElementById('telePhone').value;

	telePhoneValue = Trim(telePhoneValue);

	var patrn = /^(13[0123456789]|147|15[012356789]|18[012356789])\d{8}$/;
	if(telePhoneValue == '') {
		mui.toast('电话不能为空')
		return false;

	} else {
		if(patrn.test(telePhoneValue)) {
			mobile = telePhoneValue;

		} else {
			mui.toast('请输入正确的电话号码');
			return false;
		}
	}

}

//
//	telePhone.onblur = function() {
//
//		var telePhoneValue = document.getElementById('telePhone').value;
//		//	alert(telePhoneValue)
//		var userNamePatrn = /^(13[0123456789]|147|15[012356789]|18[012356789]|17[012356789])\d{8}$/;
//		if(!userNamePatrn.test(telePhoneValue)) {
//			mui.toast("请输入正确的手机号");
//			return;
//		}
//
//	};

cityPicker.onblur = function() {
	var cityPickerValue = document.getElementById('CityPicker').value;
	cityPickerValue = Trim(cityPickerValue);
	//省份城市验证
	if(cityPickerValue == '') {

		mui.toast('请选择省份城市');
		return false;
	}

}

detailAddress.onblur = function() {
	var detailAddressValue = document.getElementById('detailAddress').value;
	detailAddressValue = Trim(detailAddressValue);
	//	详细地址验证
	if(detailAddressValue == '') {
		mui.toast('地址不能为空');
		return false;
	} else {

		if(detailAddressValue.length >= 5 && detailAddressValue.length <= 60) {

			street = detailAddressValue

		} else {
			mui.toast('地址最少5个字，最多60个字');
			return false;
		}

	}

}

var saveBtn = document.getElementById('saveBtn');

saveBtn.addEventListener('click', function() {

	//	用戶名
	var userNameValue = document.getElementById('userName').value;

	userNameValue = Trim(userNameValue);
	if(userNameValue == '') {

		mui.toast('姓名不能为空');
		return false;

	} else {
		if(userNameValue.length >= 2 && userNameValue.length <= 15) {

			name = userNameValue;

		} else {
			mui.toast('名字最少2个字，最多15个字');
			return false;
		}

	}

	//	手機號

	var telePhoneValue = document.getElementById('telePhone').value;

	telePhoneValue = Trim(telePhoneValue);

	var patrn = /^(13[0123456789]|147|15[012356789]|18[012356789])\d{8}$/;
	if(telePhoneValue == '') {
		mui.toast('电话不能为空')
		return false;

	} else {
		if(patrn.test(telePhoneValue)) {
			mobile = telePhoneValue;

		} else {
			mui.toast('请输入正确的电话号码');
			return false;
		}
	}

	//省份城市验证
	var cityPickerValue = document.getElementById('CityPicker').value;
	cityPickerValue = Trim(cityPickerValue);

	if(cityPickerValue == '') {

		mui.toast('请选择省份城市');
		return false;
	}

	//	詳細地址

	var detailAddressValue = document.getElementById('detailAddress').value;
	detailAddressValue = Trim(detailAddressValue);
	//	详细地址验证
	if(detailAddressValue == '') {
		mui.toast('地址不能为空');
		return false;
	} else {

		if(detailAddressValue.length >= 5 && detailAddressValue.length <= 60) {

			street = detailAddressValue

		} else {
			mui.toast('地址最少5个字，最多60个字');
			return false;
		}

	}

	saveAddress(name, mobile, province, city, street)
})

//服务器保存请求
function saveAddress(name, mobile, province, city, street) {

	mui.ajaxPost(ADDADDRESS, {
		name: name, //： 收货人地址,不能为空
		mobile: mobile, //： 收货人手机号,不能为空
		province: province, //：省份信息,
		city: city, //：城市信息,
		street: street //：街道信息,
	}, function success(data) {
		if(data.status == '1') {
			mui.toast("保存成功");
				backRelod();
		}
	}, function error(data) {
		mui.toast("网络出错了")
	});
}
	//保存成功刷新上级页面
function backRelod(){		
	var receiving = plus.webview.getWebviewById('receiving-address');	
	receiving.reload(); 
	mui.back();
}
