//时间转换
Vue.filter('dateTime', function(time) {
	var mytime = new Date(time);
	var year = mytime.getFullYear();
	var month = mytime.getMonth() + 1;
	var day = mytime.getDate();
	var hours = mytime.getHours();
	var minutes = mytime.getMinutes();
	var seconde = mytime.getSeconds();
	month = checkTime(month);
	day = checkTime(day);
	hours = checkTime(hours);
	minutes = checkTime(minutes);
	seconde = checkTime(seconde);
	return year + "-" + month + "-" + day + " " + hours + ":" + minutes + ":" + seconde;

});

var battleLuckRecordList = new Vue({
	el: '#app',
	data: {
		list: [],
		item: []
	},
});

function checkTime(i) { //将0-9的数字前面加上0，例1变为01 
	if(i < 10) {
		i = "0" + i;
	}
	return i;
}

var page = 1;
var pagsize = 100;
var pages = 1;
var pagsizes = 100;
var exchangedLock = false;
var unexchangeLock = false;

var self = null;
(function($) {
	//阻尼系数
	var deceleration = mui.os.ios ? 0.003 : 0.0009;
	$('.mui-scroll-wrapper').scroll({
		bounce: true,
		indicators: false, //是否显示滚动条
		deceleration: deceleration
	});
	$.ready(function() {
		//循环初始化所有下拉刷新，上拉加载。
		$.each(document.querySelectorAll('.mui-slider-group .mui-scroll'), function(index, pullRefreshEl) {
			$(pullRefreshEl).pullToRefresh({
				down: {
					height: 50, //可选,默认50.触发下拉刷新拖动距离,
					auto: false, //可选,默认false.自动下拉刷新一次
					contentdown: "下拉可以刷新", //可选，在下拉可刷新状态时，下拉刷新控件上显示的标题内容
					contentover: "释放立即刷新", //可选，在释放可刷新状态时，下拉刷新控件上显示的标题内容
					contentrefresh: "正在刷新...", //可选，正在刷新状态时，下拉刷新控件上显示的标题内容
					callback: function() {
						//alert(index)
						self = this;
						self.refresh(true);
						if(index == '0') {
//							battleLuckRecordList.item = [];

							setTimeout(function() {
								pages = 1;
								unexchangeLock = false;
								getnodata(pages);

								self.endPullDownToRefresh(false);

							}, 1500)

						};

						if(index == '1') {
//							battleLuckRecordList.list = [];

							setTimeout(function() {
								page = 1;
								getData(page)
								exchangedLock = false;

								self.endPullDownToRefresh();
							}, 1500)

						}

					}
				},
				up: {
					height: 50, //可选.默认50.触发上拉加载拖动距离
					auto: false,
					show: false,
					contentinit: '正在加载...',
					contentdown: '正在加载...',
					contentrefresh: '正在加载...',
					contentnomore: '没有更多数据了',
					callback: function() {
						self = this;
						if(index == '0') {
							setTimeout(function() {
								if(unexchangeLock == false) {
									pages++;
									getnodata(pages)
								} else {
									self.endPullUpToRefresh(true);
								}
								self.endPullUpToRefresh(false);
							}, 1500);

						};
						if(index == '1') {
							setTimeout(function() {
								if(exchangedLock == false) {
									page++;
									getData(page)
								}
								self.endPullUpToRefresh(false);
							}, 1500);
						};

					}
				}
			});
		});
	});
})(mui);

getnodata(1);

mui(".mui-segmented-control").on("tap", "#exchange", function() {
	getData(1);
});
mui(".mui-segmented-control").on("tap", "#noexchange", function() {

	getnodata(1);
});

//已兑换
function getData(page) {

	mui.ajaxPost(SRDBGETEXCHANGENEW, {
		changeType: 2,
		pageNo: page,
		pageSize: pagsize
	}, function success(data) {
		if(data.status == "1") {

			if(data.exchanges.length < pagsize) {
				if(self != null) {
//					alert(2)
					exchangedLock = true;
					self.endPullUpToRefresh(true);
				}
			} else {
				page++;
			}

			if(data.exchanges.length > 0) {
				$("#item2 .duobaoImg").hide();
			}

			if(page == 1) {
				if(data.exchanges.length > 0) {

					battleLuckRecordList.list = data.exchanges;

				}
			} else {
				var oldData = battleLuckRecordList.list;
				battleLuckRecordList.list = oldData.concat(data.exchanges);
			}

			battleLuckRecordList.$nextTick(function() {
				mui("#item2 .mui-table-view-cell").on("tap", "button", function() {
					var orderItemIds = $(this).attr("orderItemIds");
					localStorage.setItem("orderItemIds", orderItemIds)
					toView("pk-checkcard", "../cardpassword/pk-checkcard.html");
				})
			});
		}
	}, function error(data) {
		mui.toast("网络出错了啦！");
	});
};

//未兑换
function getnodata(pages) {
	mui.ajaxPost(SRDBGETEXCHANGENEW, {
		changeType: 1,
		pageNo: pages,
		pageSize: pagsizes
	}, function success(data) {
		if(data.status == "1") {

			if(data.exchanges.length < pagsize) {
//				alert(1)
				if(self != null) {
					self.endPullUpToRefresh(true);
					unexchangeLock = true;
				}
			} else {
				//				pages++;
			}

			if(data.exchanges.length > 0) {
				$("#item1 .duobaoImg").hide();
			}

			if(pages == 1) {
				if(data.exchanges.length > 0) {

					battleLuckRecordList.item = data.exchanges;

				}
			} else {
				var oldData = battleLuckRecordList.item;
				battleLuckRecordList.item = oldData.concat(data.exchanges);
			}

			battleLuckRecordList.$nextTick(function() {
				mui("#item1 .mui-table-view-cell").on("tap", "button", function() {
					var orderItemIds = $(this).attr("orderItemIds");
					localStorage.setItem("orderItemIds", orderItemIds)
					toView("pk-confirm-info", "../cardpassword/pk-confirm-info.html");
				})
			});

		}
	}, function error(data) {
		mui.toast("网络出错了啦！");
	});
}

//var box = document.getElementById("item2");
//box.addEventListener('scroll', function(e) {
//	var boxClientHeight = box.clientHeight;
//	var boxScrollHeight = box.scrollHeight;
//	var boxScrollTop = box.scrollTop;
//	if(boxScrollHeight === boxClientHeight + boxScrollTop) {
//		pages++;
//		if(localStorage.getItem("newtotle") >= pages) {
//			getnodata(pages, pagsizes);
//		} else {
//			document.getElementsByClassName("more")[1].innerHTML = "没有更多咯！"
//		}
//	}
//});

//		mui.ajaxPost(SRDBDOEXCHANGE, { orderItemIds: newstring }, function success(data) {
//			if(data.status == "1") {
//				mui.toast(data.msg);
//				mui.openWindow({
//					id: "convertible",
//					url: "convertible.html"
//				})
//			}
//			if(data.status == "0" || data.status == "2") {
//				mui.toast("兑换失败");
//			}
//		}, function error(data) {
//			mui.toast("网络出错了啦！");
//		});

//if($(".imgsizeborder").children("img").hasClass("choose")) {
//						$(".noselectimg").attr("src", "../../images/sure.png");
//						for(var i = 0; i < $(".noselectimg").parents("li").length; i++) {
//							var id = $(".noselectimg").parents("li").eq(i).attr("id");
//							$(".noselectimg").addClass("radiochoose");
//							newarrys.push(id);
//						}
//					} else {
//						$(this).children("img").attr("src", "../../images/default-selection.png");
//						newarrys = [];
//					}
//					console.log(newarrys);
//					newarrys = JSON.stringify(newarrys)
//					localStorage.setItem("newarrys", newarrys)
//					if($(".noselectimg").hasClass("radiochoose")) {
//						$(this).parents("ul").siblings("footer").find("img").attr("src", "../../images/sure.png");
//					}
//document.addEventListener("resize",function(){
//	$("footer").css("bottom","0");
//})
//单选全选的代码吧！！
//      $(".imgsizeborder").on("tap",function(){
//      	if($(this).children("img").hasClass("choose")){
//      		$(this).children("img").attr("src","../../images/default-selection.png");
//	        	$(this).children("img").removeClass("choose");
//				$(this).parents("footer").siblings("ul").children("li").children(".noselectimg").attr("src","../../images/default-selection.png");
//				$(this).parents("footer").siblings("ul").children("li").children(".noselectimg").removeClass("radiochoose")
//				arrays= [];
//      	}else{
//      	$(this).children("img").attr("src","../../images/sure.png");
//      	$(this).children("img").addClass("choose");
//			$(this).parents("footer").siblings("ul").children("li").children(".noselectimg").attr("src","../../images/sure.png");
//			$(this).parents("footer").siblings("ul").children("li").children(".noselectimg").addClass("radiochoose")
//			for(var i=0;i<$(this).parents("footer").siblings("ul").children("li").length;i++){
//      		var id = $(this).parents("footer").siblings("ul").children("li").eq(i).attr("id");
//      		newdata.push(id);
//      	}
//		    }
//      	console.log(arrays);
//      });
//      $(".mui-table-view").on("tap",".noselectimg",function(){
//      	if($(this).hasClass("radiochoose")){
//      		$(this).attr("src","../../images/default-selection.png");
//      	    $(this).removeClass("radiochoose");
//              var id = $(this).parents("li").attr("id");
//              if($(".noselectimg").hasClass("radiochoose")){
//          		$(".imgsizeborder").children("img").attr("src","../../images/default-selection.png");
//	        	    $(".imgsizeborder").children("img").removeClass("choose");
//          	}else{
//          		$(".imgsizeborder").children("img").attr("src","../../images/sure.png");
//	        	    $(".imgsizeborder").children("img").addClass("choose");
//          	}
//              
//      		if($(this).parents("li").siblings("li").find(".noselectimg").length<=5){
//	        		for(var j=0;j<arrays.length;j++){
//	        			if(arrays[j]==id){
//	        				arrays.splice(j,1);
//	        			}
//	        		}
//      	    }else{
//      	    	for(var j=0;j<newdata.length;j++){
//	        			if(newdata[j]==id){
//	        				newdata.splice(j,1);
//	        				break;
//	        			}
//	        		}
//	                console.log(newdata);
//      	    }
//      		console.log(arrays);
//      	}else{
//      		$(this).attr("src","../../images/sure.png");
//      	    $(this).addClass("radiochoose");
//      	    var id = $(this).parents("li").attr("id");
//      		for(var i=0;i<$(".noselectimg").length;i++){
//              	if($(".noselectimg").eq(i).hasClass("radiochoose")){
//              		$(".imgsizeborder").children("img").attr("src","../../images/sure.png");
//  	        	    $(".imgsizeborder").children("img").addClass("choose");
//              	}else{
//              		$(".imgsizeborder").children("img").attr("src","../../images/default-selection.png");
//  	        	    $(".imgsizeborder").children("img").removeClass("choose");
//              	}
//              }
//              arrays.push(id);
//              console.log(arrays);
//      	}
//    });
//mui("footer").on("tap", "button", function() {
//	if(document.getElementById("newbutton").disable == undefined) {
//		self.getexchange(arrays, newdata);
//		document.getElementById("newbutton").disable = true;
//	}
//	setTimeout(function() {
//		document.getElementById("newbutton").disable = undefined;
//	}, 5000)
//});