mui.init();

// rem单位
(function() {
	var html = document.getElementsByTagName('html')[0];
	var width = document.documentElement.clientWidth || document.body.clientWidth;
	html.style.fontSize = width / 375 * 20 * 2 + 'px';
})();

mui.plusReady(function() {
	eventPointActivity('WINNING_RECORD', '', '');
});

var activiteTab = 'opening';
var unPage = 1;
var exPage = 1;
var pageSize = 100;
var unexchangeLock = false;
var exchangedLock = false;
var array = [];

var self = null;
(function($) {
	//阻尼系数
	var deceleration = mui.os.ios ? 0.003 : 0.0009;
	$('.mui-scroll-wrapper').scroll({
		bounce: true,
		indicators: false, //是否显示滚动条
		deceleration: deceleration
	});
	$.ready(function() {
		//		console.log('db-lucky-record:' + plus.webview.currentWebview().id);
		document.addEventListener('closeluckyrecord', function() {
			plus.webview.currentWebview().close();
		})
		//循环初始化所有下拉刷新，上拉加载。
		$.each(document.querySelectorAll('.mui-slider-group .mui-scroll'), function(index, pullRefreshEl) {
			//			console.log(index)
			//			console.log(pullRefreshEl)
			$(pullRefreshEl).pullToRefresh({
				down: {
					height: 50, //可选,默认50.触发下拉刷新拖动距离,
					auto: false, //可选,默认false.自动下拉刷新一次
					contentdown: "下拉可以刷新", //可选，在下拉可刷新状态时，下拉刷新控件上显示的标题内容
					contentover: "释放立即刷新", //可选，在释放可刷新状态时，下拉刷新控件上显示的标题内容
					contentrefresh: "正在刷新...", //可选，正在刷新状态时，下拉刷新控件上显示的标题内容
					callback: function() {
						//alert(index)
						self = this;
						if(index == '0') {

							setTimeout(function() {
								unexchangeFunc(1)
								self.endPullDownToRefresh();
							}, 1500)

						};
						if(index == '1') {

							setTimeout(function() {
								exchanged(1)
								self.endPullDownToRefresh();
							}, 1500)

						}

					}
				},
				up: {
					height: 50, //可选.默认50.触发上拉加载拖动距离
					auto: false,
					show: false,
					contentinit: '正在加载...',
					contentdown: '正在加载...',
					contentrefresh: '正在加载...',
					contentnomore: '没有更多数据了',
					callback: function() {
						self = this;
						console.log(self)
						if(index == '0') {

							setTimeout(function() {
								if(unexchangeLock == false) {
									unPage++;
									unexchangeFunc(unPage)
								}
								self.endPullUpToRefresh(false);
							}, 1500)

						};
						if(index == '1') {
							setTimeout(function() {
								if(exchangedLock == false) {
									exPage++;
									exchanged(exPage)
								}
								self.endPullUpToRefresh(false);
							}, 1500)
						};

					}
				}
			});
		});
	});
})(mui);

//$("#payNumPage").height($(window).height());
//$("#payNumPage").width($(window).width());
//$("#payTypePagePage").height($(window).height());
//$("#payNumPage").hide();
//$("#payTypePage").hide();
//$("footer").hide();

Vue.use(VueLazyload, {
	preLoad: 1.3,
	error: '../../images/errorimage.png',
	loading: '../../images/loading.gif'
});

var myDuobaRecord = new Vue({
	el: '#luckyrecord',
	data: {
		productName: [], //已兑换
		unexchange: [] //未兑换
	}
});

//var loadPage = [1, 1];

//mui('.mui-segmented-control').on('tap', '.exchangedBtn', function() {
//	activeTab = 'opened';
//	var loaded = this.getAttribute("loaded");
//	if(loaded == "firstTime") {
//		unexchangeFunc();
//		this.setAttribute("loaded", "secondTime");
//	}
//});

exchanged(exPage);
unexchangeFunc(unPage);

//参与人次、支付页面的显示与隐藏
function pageShow(isTrue, page) {
	if(isTrue) {
		if(page == "#payTypePage") {
			document.getElementById('payTypePage').contentWindow.refreshData();
		}
		$(page).css("display", "block");
		ifHeight = $(window).height();
		$(page).height(ifHeight);
	} else {
		$(page).hide();
	}

}
//已兑换
function exchanged(exPage) {
	mui.ajaxPost(MYLUCKYRECORDERS, {
		pageNo: exPage, // 页码，从1开始
		pageSize: pageSize // 每页数量
	}, function success(data) {
		exchangedLock = false;
		if(data.status == '1') {

			if(data.recorders.length < pageSize) {
				if(self != null) {
					exchangedLock = true;
					self.endPullUpToRefresh(true);
				}
			}

			if(exPage == 1) {
				if(data.recorders.length > 0) {
					myDuobaRecord.productName = data.recorders;

				}
			} else {
				var oldData = myDuobaRecord.productName;
				myDuobaRecord.productName = oldData.concat(data.recorders);
			}

			if(myDuobaRecord.productName.length > 0) {
				$("#item2 .duobaoImg").hide();
			} else {
				$('#item2 .more').hide();
			}

			myDuobaRecord.$nextTick(function() {
				var tokami = document.getElementsByClassName("tokami");
				for(var i = 0; i < tokami.length; i++) {
					var amountVal = tokami[i].getAttribute("amount");
					if(amountVal) {
						$(".tokami").eq([i]).hide();
					}
				}
				//查看晒单
				mui(".btnRow2").on("tap", ".toshare", function() {
					var orderId = this.getAttribute('winOrderItemId');
					localStorage.setItem('orderId', orderId);
					toView("myshare", "myshare.html");
				});

				//评价晒单
				mui(".btnRow2").on("tap", ".button1", function() {
					var orderId = this.getAttribute('winOrderItemId');
					localStorage.setItem('orderId', orderId);
					toView("sunshare", "sunshare.html");
				});
				//查看卡密
				mui(".btnRow2").on("tap", ".tokami", function() {
					var activityId = this.getAttribute('activityId');
					localStorage.setItem('activityId', activityId);
					toView("checkcard.html", "../cardpassword/checkcard.html");
				});
			});
		} else {
			mui.toast(data.msg);
		}
	}, function error(err) {
		exchangedLock = false;
	});
}
var array = [];
//未兑换
function unexchangeFunc(unPage) {
	mui.ajaxPost(MYUNEXCHANGERECORDERS, {
		pageNo: unPage, // 页码，从1开始
		pageSize: pageSize // 每页数量
	}, function success(data) {

		unexchangeLock = false;
		if(data.status == '1') {

			if(data.recorders.length < pageSize) {
				if(self != null) {
					unexchangeLock = true;
					self.endPullUpToRefresh(true);
				}
			} else {
				unPage++;
			}

			if(unPage == 1) {
				myDuobaRecord.unexchange = data.recorders;
			} else {
				var oldData = myDuobaRecord.unexchange;
				myDuobaRecord.unexchange = oldData.concat(data.recorders);
			}

			if(myDuobaRecord.unexchange.length > 0) {
				$("#item1 .duobaoImg").hide();
				$("footer").show();
			} else {
				$('#item1 .more').hide();
			}

			myDuobaRecord.$nextTick(function() {
				//选择
				//				mui('#item2').on('tap', '.unexchangeCell', function() {				
				//					if ($(this).attr("flag")=='unselected') {					
				//						$(".unexchangeCell").eq($(this).index()).find(".choose").attr("src", "../../images/selected@2x.png");
				//						$(this).attr("flag","selected");
				//						array.push($(this).attr("activityId"));					
				//					} else{
				//						$(".unexchangeCell").eq($(this).index()).find(".choose").attr("src", "../../images/default-selection.png");
				//						$(this).attr("flag","unselected");	
				//						 removeWithoutCopy(array, $(this).attr("activityId"));						
				//					}
				//				$(".unexchangeCell").each(function(){
				//					if($(this).attr("flag")=="unselected"){
				//						$(".mui-button-row").find("img").attr("src", "../../images/default-selection.png");
				//						$(".mui-button-row").find("img").attr("flag","unselected");
				//						return false;
				//					}else{
				//						$(".mui-button-row").find("img").attr("src", "../../images/selected@2x.png");
				//						
				//					}
				//				})
				//				});
				//点击兑换按钮
				mui("#item1 .mui-table-view-cell").on("tap", "button", function() {
					var activityId = $(this).attr("activityId");
					var winOrderItemId = $(this).attr("winOrderItemId");
					var isVirtual = $(this).find("span").attr("Virtual")

					//虚拟卡兑换
					if(isVirtual == "1") {
						localStorage.setItem("excActivityId", activityId);
						localStorage.setItem("winOrderItemId", winOrderItemId);
						toView("confirm-info", "../cardpassword/confirm-info.html");

					} else {
						//实际商品		
						array = [];
						array.push($(this).attr("activityId"));
						//alert(activityId);
						localStorage.setItem("alength", array.length);
						localStorage.setItem("changeArray", array);
						toView("exchange", "exchange.html");
					}
				});
			});
		} else {
			mui.toast(data.msg);
		}
	}, function error(err) {
		unexchangeLock = false;
	});
}

//已兑换加载更多按钮
//mui('#item1').on('tap', 'p', function() {
//	if(exchangedLock) {
//		return;
//	}
//	exchangedLock = true;
//	exchanged();
//});
//未兑换加载更多按钮
//mui('#item2').on('tap', 'p', function() {
//	if(unexchangeLock) {
//		return;
//	}
//	unexchangeLock = true;
//	unexchangeFunc();
//});

//时间转换
Vue.filter('dateTime', function(time) {
	var mytime = new Date(time);
	var year = mytime.getFullYear();
	var month = mytime.getMonth() + 1;
	var day = mytime.getDate();
	var hours = mytime.getHours();
	var minutes = mytime.getMinutes();
	var seconde = mytime.getSeconds();
	month = checkTime(month);
	day = checkTime(day);
	hours = checkTime(hours);
	minutes = checkTime(minutes);
	seconde = checkTime(seconde);
	return year + "-" + month + "-" + day + " " + hours + ":" + minutes + ":" + seconde;

});

function checkTime(i) { //将0-9的数字前面加上0，例1变为01 
	if(i < 10) {
		i = "0" + i;
	}
	return i;
}

function removeWithoutCopy(arr, item) {
	for(var i = 0; i < arr.length; i++) {
		if(arr[i] == item) {
			//splice方法会改变数组长度，当减掉一个元素后，后面的元素都会前移，因此需要相应减少i的值  
			arr.splice(i, 1);
			i--;
		}
	}
	return arr;
}

//全选
//mui(".mui-button-row").on("tap","img",function(){
//	if($(this).attr("flag")=="unselected"){
//		$(this).attr("flag","selected");
//		$(this).attr("src","../../images/selected@2x.png")	
//		$(".unexchangeCell").each(function(){
//			if($(this).attr("flag")=="unselected"){
//				$(this).attr("flag", "selected");
//				$(this).find(".choose").attr("src", "../../images/selected@2x.png");
//				array.push($(this).attr("activityId"));					
//			}
//		})		
//	}else{
//		$(this).attr("flag","unselected");
//		$(this).attr("src","../../images/default-selection.png");
//		$(".unexchangeCell").find(".choose").attr("src", "../../images/default-selection.png");
//		$(".unexchangeCell").attr("flag", "unselected");
//		array = [];
//	}
//})
//一键夺宝
//mui(".mui-button-row").on("tap","button",function(){
//	var arrayStr = array.join(",");
//	if(array.length < 1){
//		mui.toast("未选择需要兑换的商品");
//	}else{
//		localStorage.setItem("alength",array.length);
//		localStorage.setItem("changeArray",array);
//		toView("exchange","exchange.html");
//	}
//	
//})