(function() {
	var html = document.getElementsByTagName('html')[0];
	var width = document.documentElement.clientWidth || document.body.clientWidth;
	html.style.fontSize = width / 375 * 20 * 2 + 'px';
})()

mui.plusReady(function() {
	eventPointActivity('MY_BONUS', '', '');
});

var activePage = 1,
	usedPage = 1,
	pageSize = 10;
var activeLock = false;
var usedLock = false;
var self = null;
var myRedPacket = new Vue({
	el: '#redPacket',
	data: {
		activateList: [],
		usedList: []
	}
})

redPacketFn("ACTIVATE", 1, pageSize);
redPacketFn("USE", 1, pageSize);
mui('#redPacket').on('tap', '.available', function() {
	redPacketFn("ACTIVATE", 1, pageSize);
})

mui('#redPacket').on('tap', '.exchangedBtn', function() {
	redPacketFn("USE", 1, pageSize);
})

function redPacketFn(redPacketStatus, page, pageSize) {
	mui.ajaxPost(BONUSLIST, {
		redEnvelopeStatus: redPacketStatus,
		page: page,
		pageSize: pageSize
	}, function success(data) {
		//		console.log(JSON.stringify(data))
		if(data.status == "1") {
			if(redPacketStatus == 'ACTIVATE') {

				if(data.data.length > 0) {
					$("#item1 .duobaoImg").hide();
				}

				if(data.data.length < pageSize) {
					if(self != null) {
						activeLock = true;
						self.endPullUpToRefresh(true);
					}
				}

				if(activePage == 1) {
					if(data.data.length > 0) {
						myRedPacket.activateList = data.data;

					}
				} else {
					var oldData = myRedPacket.activateList;
					myRedPacket.activateList = oldData.concat(data.data);
				}

			}

			if(redPacketStatus == 'USE') {

				if(data.data.length > 0) {
					$("#item2 .duobaoImg").hide();
				}

				if(data.data.length < pageSize) {
					if(self != null) {
						usedLock = true;
						self.endPullUpToRefresh(true);
					}
				}

				if(usedPage == 1) {
					if(data.data.length > 0) {
						myRedPacket.usedList = data.data;

					}
				} else {
					var oldData = myRedPacket.usedList;
					myRedPacket.usedList = oldData.concat(data.data);
				}
			}

			myRedPacket.$nextTick(function() {
				mui(".mui-slider-group").on("tap", ".mui-table-view-cell", function() {
					//plus.webview.close("main");
					toView("main", "../home/main.html");
				})

			})

		} else if(data.status == "0") {
			mui.toast(data.msg);
		} else {
			mui.toast(data.msg);
		}
	}, function error(err) {
		mui.toast(data.msg);
	});
}

mui.init();
(function($) {
	//阻尼系数
	var deceleration = mui.os.ios ? 0.003 : 0.0009;
	$('.mui-scroll-wrapper').scroll({
		bounce: false,
		indicators: true, //是否显示滚动条
		deceleration: deceleration
	});
	$.ready(function() {
		//循环初始化所有下拉刷新，上拉加载。
		$.each(document.querySelectorAll('.mui-slider-group .mui-scroll'), function(index, pullRefreshEl) {
			$(pullRefreshEl).pullToRefresh({
				down: {
					callback: function() {
						self = this;
						if(index == '0') {
							setTimeout(function() {
								activeLock == false;
								activePage = 1;
								redPacketFn("ACTIVATE", 1, pageSize);
								self.endPullDownToRefresh();
							}, 1500);
						};

						if(index == '1') {
							setTimeout(function() {
								usedLock == false;
								usedPage = 1;

								redPacketFn("USE", 1, pageSize)
								self.endPullDownToRefresh();
							}, 1500);
						}

					}
				},
				up: {
					callback: function() {
						self = this;
						if(index == '0') {
							setTimeout(function() {
								if(activeLock == false) {
									activePage++;
									redPacketFn("ACTIVATE", activePage, pageSize);
								} else {
									self.endPullUpToRefresh(true);
								}
							}, 1500)
							self.endPullUpToRefresh(false);
						};

						if(index == '1') {
							setTimeout(function() {
								if(usedLock == false) {
									usedPage++;
									redPacketFn("USE", usedPage, pageSize);
								} else {
									self.endPullUpToRefresh(true);
								}
							}, 1500)
							self.endPullUpToRefresh(false);
						};

					}
				}
			});
		});

	});
})(mui);

Vue.filter('dateTime', function(millisecond) {
	// 重写
	Date.prototype.toLocaleString = function() {
		var month = (this.getMonth() + 1);
		month = addZero(month);

		var date = this.getDate();
		date = addZero(date);
		var hours = this.getHours();
		hours = addZero(hours);
		var minutes = this.getMinutes();
		minutes = addZero(minutes);
		var seconds = this.getSeconds();
		seconds = addZero(seconds);

		return this.getFullYear() + "-" + month + "-" + date + " " + hours + ":" + minutes + ":" + seconds;
	};
	var rightTime = new Date(millisecond);
	localTime = rightTime.toLocaleString();
	return localTime;
});

function addZero(i) { //将0-9的数字前面加上0，例1变为01 
	if(i < 10) {
		i = "0" + i;
	}
	return i;
}