mui.init()

var base64Images = [];

//	调取相册图片
var msgDom = document.getElementById('msg'); //获取照片输出位置

var galleryBtn = document.getElementById("gallery"); //获取触发按钮
galleryBtn.addEventListener("tap", function() { //添加事件监听

	plus.gallery.pick( //使用H5+ 调用相册功能
		function(path) { //调用成功的回调函数
			var img = '';
			for(var i in path.files) {
				console.log(path.files[i]);
				var sPath = [];
				var newPath = [];
				sPath[i] = path.files[i];
				var aPath = sPath[i].split("/")
				aPath.splice((aPath.length - 2), 1, 'a');
				//							console.log(aPath);
				var newPath = [];
				newPath[i] = aPath.join('/');

				//							console.log(newPath);
				img += '<img width="33.3%" style="padding:0 0.5px" src=' + path.files[i] + ' />';

				compressImage(sPath[i], newPath[i]);
			}
			msgDom.innerHTML = img;
			console.log(img);
		},
		function(e) { //失败的回调函数
			mui.toast(e.message);
		}, {
			filter: "image", //过滤出只显示图片
			multiple: true, // 实现多选参数
		}
	)
});

//压缩图片
function compressImage(oldUrl, newUrl) {
	
	console.log("oldUrl:" + oldUrl);
	console.log("newUrl:" + newUrl);
	plus.zip.compressImage({
			src: oldUrl,
			dst: newUrl,
			overwrite: true,
			format: 'jpg',
			width: '320px',
		},
		function(e) {
			var filePath = "file://" + plus.io.convertLocalFileSystemURL(e.target);

			bitMap2Base64Data(filePath);

		},
		function(error) {
			mui.toast("Compress error!");
			console.log("compress error:" + JSON.stringify(error));
		});

};

function bitMap2Base64Data(path) { //path绝对路径
	console.log("bitMap2Base64Data path:" + path);
	var bitmap = new plus.nativeObj.Bitmap("test"); //test标识谁便取
	// 从本地加载Bitmap图片
	var base64 = [];

	bitmap.load(path, function() {
		var base4 = bitmap.toBase64Data();

		base64Images.push(base4);
		console.log(base64Images.length);
		
		
		
	}, function(e) {
		console.log('bitMap2Base64Data加载图片失败：' + JSON.stringify(e));
	});
};

var sunShare = new Vue({
	el: '#sunShare',
	data: {
		info: {}
	}
});
//获取商品信息
mui.ajaxPost(PEODUCTINFO, {
		orderItemId: localStorage.getItem("orderId")
	},
	function success(data) {
		if(data.status == "1") {
			sunShare.info = data.data;
		} else {
			mui.toast(data.msg);
		}
	},
	function error() {
		mui.toast("网络出错了！！");
	})
//输入框验证
$("textarea").blur(function() {
	if($(this).val().length > 100 || $(this).val().length < 10) {
		mui.toast("字数要在10-100字之间哦！！")
	}
})
//提交
mui("#submit").on("tap", "button", function() {
	$("textarea").blur();
	if($("textarea").val().length > 100 || $("textarea").val().length < 10) {
		mui.toast("字数要在10-100字之间哦！！");
		return;
	}
	var para = {};
	//localStorage.getItem("orderId"),获取订单号
	para.orderItemId = localStorage.getItem("orderId");
	para.detail = $("textarea").val();
	

	console.log(base64Images);

	para.base64Images = base64Images;
	var strJson = JSON.stringify(para);
	//alert(strJson);
	mui.ajaxPost1(ADDSHARE, strJson,
		function success(data) {
			if(data.status == "1") {
				mui.toast("成功");
			}else{
				mui.toast(data.msg);
			}
			mui.back();
			//toView("lucky-record", "db-lucky-record.html");
		},
		function error(err) {
			mui.toast("失败");
		})
})