$("body").width($(window).width());
var timeLevel = null;
var player = {
	init: function() {
		var self = this;
		this.vm = new Vue({
			el: '#app',
			data: {
				list: {},
				goodsList: {},
				good: {},
				fourone: {},
				content: {},
				datalength: {},
				doublelist: [],
				fourlist: []
			},
		});
		self.requesttime();
		self.requestdoubproduct();
		self.requestfourproduct();
		self.eventBind();
		self.GetRecordDoubleList();
		self.GetRecordFourList();
	},
	eventBind: function() {
		//双人四人夺宝点击事件
		mui(".mui-slider").on("tap", ".prddet", function() {
			var goodid = this.attributes.goodid.value;
			var productid = this.attributes.productid.value;
			localStorage.setItem("goodid", goodid);
			localStorage.setItem("productid", productid);
			window.parent.popToView("against-detail", "../against/detail.html");
		})
		//点击跳转个人中心
		mui(".voicetext").on("tap", ".newpage", function() {
			var productId = this.attributes.productId.value;
			var activityId = this.attributes.activityId.value;
			localStorage.setItem("productid", productId);
			localStorage.setItem("goodid", activityId);
			window.parent.popToView("detail", "../against/detail.html");
		})
	},
	requesttime: function() {
		var self = this;
		mui.ajaxPost(SRDBLEFTMILLSECOND, {}, function success(data) {
			if(data.status == "1") {
				if(data.data.leftMillisecond < 10) {
					console.log("left time < 10" + data.data.leftMillisecond);
					setTimeout(function() {
						self.requesttime();
					}, 1500);
				} else {
					if(timeLevel != null) {
						clearInterval(timeLevel);
					}
					self.lefttime(data.data.leftMillisecond);
				}
			} else {
				setTimeout(function() {
					self.requesttime();
				}, 1500);

			}
		}, function error(data) {
			setTimeout(function() {
				self.requesttime();
			}, 1500);
		});
	},
	requestdouble: function() {

	},
	requestdoubproduct: function() {
		var self = this;

		//		双人夺宝
		mui.ajaxPost(SRDBGETSRDBLIST, {}, function success(data) {
			if(data.status == "1") {
				self.vm.list = data.data[0];
				self.vm.goodsList = data.data;
				self.vm.good = data.data[data.data.length - 1];
			}
		}, function error(data) {});
	},
	requestfour: function() {

	},
	requestfourproduct: function() {
		var self = this;

		//		四人夺宝
		mui.ajaxPost(SRDBGETFOURLIST, {}, function success(data) {
			if(data.status == "1") {
				self.vm.fourone = data.data[0];
				self.vm.content = data.data;
				self.vm.datalength = data.data[data.data.length - 1];
			}
		}, function error(data) {});
	},
	lefttime: function(Millisecond) {
		Millisecond = parseInt(Millisecond);
		var self = this;
		timeLevel = setInterval(function() {
			if(Millisecond < 10) {
				console.log('time over!!');
				document.getElementById('lefttime').innerHTML = '00:00:00:000';
				self.requesttime();
				clearInterval(timeLevel);
			}
			if(Millisecond < 10) {
				return;
			}
			var hours = parseInt(Millisecond / 1000 / 60 / 60 % 24, 10); //计算剩余的小时
			var minutes = parseInt(Millisecond / 1000 / 60 % 60, 10); //计算剩余的分钟 
			var seconds = parseInt(Millisecond / 1000 % 60, 10);
			//		var vseconds = parseInt(Millisecond % 1000 / 10, 10);
			var vseconds = parseInt(Millisecond - parseInt(Millisecond / 1000) * 1000);
			hours = self.checkTime(hours);
			minutes = self.checkTime(minutes);
			seconds = self.checkTime(seconds);
			vseconds = self.checkTime2(vseconds);
			var alltime = hours + " " + minutes + " " + seconds + " " + vseconds;
			document.getElementById('lefttime').innerHTML = alltime;
			Millisecond = Millisecond - 15;
		}, 15);
	},
	checkTime: function(i) { //将0-9的数字前面加上0，例1变为01 
		var self = this;
		if(i < 10) {
			i = "0" + i;
		}
		return i;
	},
	checkTime2: function(i) { //将0-9的数字前面加上0，例1变为01 
		var self = this;
		if(i < 10 && i > 0) {
			i = "00" + i;
		}
		if(i >= 10 && i < 100) {
			i = "0" + i;
		}
		return i;
	},
	GetRecordDoubleList: function() {
		var self = this;
		mui.ajaxPost(ACTIVEITY_PKQUERYLASTESTWINNING_RECORDERLIST, {
			businessType: "DOUBLE_PK"
		}, function success(data) {
			if(data.status == "1") {
				self.vm.doublelist = data.data;
				self.vm.$nextTick(function() {
					if(data.data.length > 0) {
						var Mar = document.getElementById("marquee");
						var child_div = Mar.getElementsByTagName("p");
						var picH = 30; //移动高度 
						var scrollstep = 1; //移动步幅,越大越快 
						var scrolltime = 30; //移动频度(毫秒)越大越慢 
						var stoptime = 2000; //间断时间(毫秒) 
						var tmpH = 0;
						Mar.innerHTML += Mar.innerHTML;

						function start() {
							if(tmpH < picH) {
								tmpH += scrollstep;
								if(tmpH > picH) tmpH = picH;
								Mar.scrollTop = tmpH;
								setTimeout(start, scrolltime);
							} else {
								tmpH = 0;
								Mar.appendChild(child_div[0]);
								Mar.scrollTop = 0;
								setTimeout(start, stoptime);
							}
						}
						setTimeout(start, stoptime);
					}
				});
			}
		}, function error(data) {});
	},
	GetRecordFourList: function() {
		var self = this;
		mui.ajaxPost(ACTIVEITY_PKQUERYLASTESTWINNING_RECORDERLIST, {
			businessType: "FOUR_PK"
		}, function success(data) {
			if(data.status == "1") {
				self.vm.fourlist = data.data;
				self.vm.$nextTick(function() {
					if(data.data.length > 0) {
						var Mar = document.getElementById("marquees");
						var child_div = Mar.getElementsByTagName("p");
						var picH = 30; //移动高度 
						var scrollstep = 1; //移动步幅,越大越快 
						var scrolltime = 30; //移动频度(毫秒)越大越慢 
						var stoptime = 2000; //间断时间(毫秒) 
						var tmpH = 0;
						Mar.innerHTML += Mar.innerHTML;

						function start() {
							if(tmpH < picH) {
								tmpH += scrollstep;
								if(tmpH > picH) tmpH = picH;
								Mar.scrollTop = tmpH;
								setTimeout(start, scrolltime);
							} else {
								tmpH = 0;
								Mar.appendChild(child_div[0]);
								Mar.scrollTop = 0;
								setTimeout(start, stoptime);
							}
						}
						setTimeout(start, stoptime);
					}
				});
			}
		}, function error(data) {});
	}

};
player.init();

mui.ready(function() {
	console.log('ready===============');
	mui.each(document.querySelectorAll('#app'), function(index, pullRefreshEl) {
		mui(pullRefreshEl).pullToRefresh({
			down: {
				callback: function() {
					if(index == '0') {

						var self = this;
						setTimeout(function() {
							//							if (timeLevel != null) {
							//								clearInterval(timeLevel);								
							//							}
							player.requesttime();
							player.requestdoubproduct();
							player.requestfourproduct();
							self.endPullDownToRefresh();
						}, 1000);
					}
				}
			}
		});
	});
});