mui.init();

var loadLock=true;
var pageNo = 1;
var pageSize = 10;
var goodid = localStorage.getItem('activityId_pk');
var productid = localStorage.getItem('homeGoodsId');

var myPkDetailInfo = new Vue({
	el: "#pkRecordDetailInfo",
	data: {
		pkDetailInfoList: {},
		firstImg: null,
		lastImg: null,
		pkDetailProductImgList: [],
		pkDetailRecordList: []
	}
});

getPkRecordDetailInfo(goodid, pageNo, pageSize);

function getPkRecordDetailInfo(goodid, pageNo, pageSize) {

	mui.ajaxPost(PKGETOPENRECORDDETAILINFO, {
		activityId: goodid,
		pageNo: pageNo,
		pageSize: pageSize
	}, function success(data) {
		if(data.status == '1') {
//			console.log(data)
//			console.log(data.data.joinRecordVoList)

			myPkDetailInfo.pkDetailInfoList = data.data;

			myPkDetailInfo.firstImg = data.data.productImageList[0];
			myPkDetailInfo.lastImg = data.data.productImageList[data.data.productImageList.length - 1];
			myPkDetailInfo.pkDetailProductImgList = data.data.productImageList;
			myPkDetailInfo.pkDetailRecordList = data.data.joinRecordVoList;

			//indicator

			var indicator = document.getElementById('indicator');
			var num = data.data.productImageList.length;
				switch(num) {
					case 1:
						indicator.innerHTML = '<div class="mui-indicator"></div>';
						break;
					case 2:
						indicator.innerHTML = '<div class="mui-indicator"></div><div class="mui-indicator"></div>';
						
						break;
					case 3:
						indicator.innerHTML = '<div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div>';
						break;
					case 4:
						indicator.innerHTML = '<div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div>';
						break;
					case 5:
						indicator.innerHTML = '<div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div>';
						break;
					case 6:
						indicator.innerHTML = '<div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div>';
						break;
					case 7:
						indicator.innerHTML = '<div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div>';
						
						break;
					case 8:
						indicator.innerHTML = '<div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div>';
						break;
					case 9:
						indicator.innerHTML = '<div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div>';
						break;
					case 10:
						indicator.innerHTML = '<div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div><div class="mui-indicator"></div>';

						break;
				}
	
			var firstIndicator=document.getElementsByClassName('mui-indicator')[0];
			var firstIndicatorClass=firstIndicator.getAttribute('class');
			var addIndicator=firstIndicatorClass.concat(' mui-active');	
				firstIndicator.setAttribute('class',addIndicator);
				


//			alert(data.data.activityStatusCode)
			//				alert(data.data.activityStatusCode=='opened')
			if(data.data.activityStatusCode == 'selling') {

//			alert(data.data.leftMillisecond)
			
				if(data.data.leftMillisecond == null) {
					
					var leftTime = document.getElementById('leftTime');

					leftTime.innerHTML = "正在计算中...";

				}

				if(data.data.leftMillisecond == 0) {
			
					var leftTime = document.getElementById('leftTime');

					leftTime.innerHTML = "正在计算中...";

				}
				
				if(data.data.leftMillisecond != null&&data.data.leftMillisecond != 0) {
					pkOpenTime(data.data.leftMillisecond)
				}
	
			}

		}
	}, function(error) {
		mui.toast('网络错误')
	})
};

//倒计时转换
function pkOpenTime(time) {
	var begin_date = parseInt(time / 1000);
	var begin_h = parseInt(begin_date / 3600);
	var begin_m = parseInt((begin_date - begin_h * 3600) / 60);
	var begin_s = begin_date - begin_h * 3600 - begin_m * 60;
	var begin_haom = 0;
	//					console.log(begin_h, begin_m, begin_s, begin_haom);
	//
	var h, m, s;
	var timers1 = setInterval(function() {
		begin_haom -= 15;
		if(begin_haom < 0) {
			begin_haom = begin_haom < 0 ? begin_haom + 1000 : begin_haom;
			begin_s--;
		}
		if(begin_s < 0) {
			begin_s = begin_s < 0 ? 59 : begin_s;
			begin_m--;
		}
		if(begin_m < 0) {
			begin_m = begin_m < 0 ? 59 : begin_m;
			begin_h--;
		}
		h = begin_h < 10 ? '0' + begin_h + ':' : begin_h + ':';
		m = begin_m < 10 ? '0' + begin_m + ':' : begin_m + ':';
		s = begin_s < 10 ? '0' + begin_s + ':' : begin_s + ':';
		hm = parseInt((begin_haom / 1));
		hm = hm < 100 ? ('0' + hm) : hm;
		hm = hm < 10 ? ('0' + hm) : hm;
		//
		if(m == 0 && s == 0) {
			hm = 0;
		}
		//
		var leftTime = document.getElementById('leftTime');

		leftTime.innerHTML =h+ m + s + hm;

		//
		if(begin_h == 0 && begin_s == 0 && begin_m == 0) {

			leftTime.innerHTML = '00:00:000';
			clearInterval(timers1);

			leftTime.innerHTML = '正在计算中...';

		}
	}, 15);
}

//			IP = PKQUERYBUYRECORDLIST

//	查询购买记录列表(多人对战 最新揭晓详情时使用)	
var myPkBuyInfo = new Vue({
	el: "#pkBuyRecordId",
	data: {
		pkBuyInfoList: []
	}
})

getPkBuyDetailInfo(goodid, pageNo, pageSize)

//mui("#pkBuyRecordId").on("tap", ".more", function() {

function btannounceDetialGetMore(){
	if(loadLock == true) {
		pageNo++;
		getPkBuyDetailInfo(goodid, pageNo, pageSize);
	}
}

	
//});

function getPkBuyDetailInfo(goodid, pageNo, pageSize) {
	mui.ajaxPost(PKQUERYBUYRECORDLIST, {
		activityId: goodid,
		pageNo: pageNo,
		pageSize: pageSize
	}, function success(data) {
		if(data.status == '1') {
			console.log(data);
			console.log(data.data);
//			myPkBuyInfo.pkBuyInfoList = data.data;
			//			点击加载

			if(pageNo == 1) {
				myPkBuyInfo.pkBuyInfoList = data.data;
				if(data.data != null) {
					if(data.data.length < 10) {
						mui('#pkBuyRecordId').pullRefresh().endPullupToRefresh(true);
						loadLock = false;
					}
				}
			} else {
				oldData = myPkBuyInfo.pkBuyInfoList;
				myPkBuyInfo.pkBuyInfoList = oldData.concat(data.data);
				var newdata = data.data;
				console.log(data.data)
				if(newdata.length < 10) {
					loadLock = false;
					mui('#pkBuyRecordId').pullRefresh().endPullupToRefresh(true);
				}
			}

			myPkBuyInfo.$nextTick(function() {

			})
		}
	}, function(error) {
		mui.toast('网络错误')
	})
};

mui('#hour').on('tap', 'button', function() {

	mui.openWindow({
		url: 'calcdetail2.html',
		id: 'calcdetail2.html'

	})
})
mui('#luckyNum').on('tap', 'button', function() {

	mui.openWindow({
		url: 'calcdetail2.html',
		id: 'calcdetail2.html'

	})
})

mui("#fixed").on("tap", 'button', function() {
	toView("detail", "../../html/against/detail.html");
});

localStorage.setItem("goodid", goodid); //活动id
localStorage.setItem("productid", productid); //活动id
console.log(goodid);
console.log(productid);
//var productid = localStorage.getItem("productid"); //产品ID