mui.init();

//获取记录详情
mui.ajaxPost(GETDUOBAODETAIL, {
	memberId:localStorage.getItem('memberId'), 
	activityId:localStorage.getItem('activityId')
}, function success(data) {
	if(data.status == '1') {		
		checkNum.info= data.detail;
		
		if(data.detail.luckyNumber==0){
			
			document.getElementById('openTime').style.display='none';
			document.getElementById('luckyNumber').innerHTML='本期幸运号码： 正在揭晓';
		}
	}
	else{
		mui.toast(data.msg);
	}
}, function(error) {
	mui.toast('网络错误')
})

//获取记录列表
mui.ajaxPost(ORDERITEMS, {
	memberId: localStorage.getItem("memberId"), // 用户id
	activityId: localStorage.getItem("activityId"), // 活动id
	pageNo: 1, // 页码，从1开始
	pageSize: 10, // 每页数量
}, function success(data) {
	if(data.status == "1") {
		checkNum.ckeckList = data.recorders;
		checkNum.$nextTick(function() {			
			//查看号码				
			mui("tr").on("tap","td.colorRed",function(){
				look(this);
			})				
		});
	} else {
		mui.toast(data.msg);
	}
}, function error(err) {
	mui.toast("网络出错了啦！！");
})
//时间转换
Vue.filter('dateTime', function(time) {
	var mytime = new Date(time);
	var year = mytime.getFullYear();
	var month = mytime.getMonth() + 1;
	var day = mytime.getDate();
	var hours = mytime.getHours();
	var minutes = mytime.getMinutes();
	var seconde = mytime.getSeconds();
	month = checkTime(month);
	day = checkTime(day);
	hours = checkTime(hours);
	minutes = checkTime(minutes);
	seconde = checkTime(seconde);
	return year + "-" + month + "-" + day + " " + hours + ":" + minutes + ":" + seconde;

});
//过滤时间
Vue.filter('time', function(time) {
     var mytime = new Date(time) ;
     var year = mytime.getFullYear();
     var month = mytime.getMonth()+1;
     var day = mytime.getDate();
     var hours = mytime.getHours();
     var minutes = mytime.getMinutes();
     var seconds = mytime.getSeconds();
     	hours = checkTime(hours);
		minutes = checkTime(minutes);
		seconds = checkTime(seconds);
     return hours+":"+minutes+":"+seconds;
     
 });
 //过滤日期
 Vue.filter('date', function(time) {
     var mytime = new Date(time) ;
     var year = mytime.getFullYear();
     var month = mytime.getMonth()+1;
     var day = mytime.getDate();
     var hours = mytime.getHours();
     var minutes = mytime.getMinutes();
     var seconde = mytime.getSeconds();
     month = checkTime(month);
	 day = checkTime(day);
     return year+"-"+month+"-"+day;
     
 });


function checkTime(i) { //将0-9的数字前面加上0，例1变为01 
	if(i < 10) {
		i = "0" + i;
	}
	return i;
}
function look(This){
	var orderItemId = This.getAttribute('orderItemId');
	localStorage.setItem('orderItemId', orderItemId);
	toView("indianaDetails","indianaDetails.html");
}
var checkNum = new Vue({
	el: '#checkNum',
	data: {
		info: {},
		ckeckList: [],
	}
});