mui.init();

//获取记录详情
mui.ajaxPost(GETMYDUOBAODETAIL, {
	activityId: localStorage.getItem('activityId')
}, function success(data) {
	if(data.status == '1') {
		checkNum.info = data.detail;
		if(data.detail.luckyNumber == 0) {

			document.getElementById('openTime').style.display = 'none';
			document.getElementById('luckyNumber').innerHTML = '本期幸运号码： 正在揭晓';
		}
	} else {
		mui.toast(data.msg);
	}
}, function(error) {
	mui.toast('网络错误')
})

var pageNo = 1;
var loadLock = true;
var oldData = null;

//获取我的记录列表
function getMyOrderItems(pageNo) {

	mui.ajaxPost(GETMYORDERITEMS, {
		activityId: localStorage.getItem("activityId"), // 活动id
		pageNo: pageNo, // 页码，从1开始
		pageSize: 10 // 每页数量
	}, function success(data) {
		if(data.status == "1") {
//			checkNum.ckeckList = data.recorders;

			//		添加分页
			if(pageNo == 1) {
				//				myBuyInfo.buyInfoList = data.data;
				checkNum.ckeckList = data.recorders;
				if(data.recorders.length > 0) {
					if(data.recorders.length < 10) {
						document.getElementById("more").innerHTML = "没有更多数据了";
						loadLock = false;
					}
				}
			} else {
				oldData = checkNum.ckeckList;
				checkNum.ckeckList = oldData.concat(data.recorders);
				var newdata = data.recorders;
				console.log(data.recorders)
				if(newdata.length < 10) {
					loadLock = false;
					document.getElementById("more").innerHTML = "没有更多数据了";
				}
			}

			checkNum.$nextTick(function() {
				//查看号码				
				mui("tr").on("tap", "td.colorRed", function() {
					look(this);
				})
			});
		} else {
			mui.toast(data.msg);
		}
	}, function error(err) {
		mui.toast("网络出错了啦！！");
	});

}

getMyOrderItems(pageNo);
//点击加载更多
mui("body").on("tap", "#more", function() {

	if(loadLock == true) {
		pageNo++;
		getMyOrderItems(pageNo);
	}
});

//时间转换
Vue.filter('dateTime', function(time) {
	var mytime = new Date(time);
	var year = mytime.getFullYear();
	var month = mytime.getMonth() + 1;
	var day = mytime.getDate();
	var hours = mytime.getHours();
	var minutes = mytime.getMinutes();
	var seconde = mytime.getSeconds();
	month = checkTime(month);
	day = checkTime(day);
	hours = checkTime(hours);
	minutes = checkTime(minutes);
	seconde = checkTime(seconde);
	return year + "-" + month + "-" + day + " " + hours + ":" + minutes + ":" + seconde;

});
//过滤时间
Vue.filter('time', function(time) {
	var mytime = new Date(time);
	var year = mytime.getFullYear();
	var month = mytime.getMonth() + 1;
	var day = mytime.getDate();
	var hours = mytime.getHours();
	var minutes = mytime.getMinutes();
	var seconds = mytime.getSeconds();
	hours = checkTime(hours);
	minutes = checkTime(minutes);
	seconds = checkTime(seconds);
	return hours + ":" + minutes + ":" + seconds;

});
//过滤日期
Vue.filter('date', function(time) {
	var mytime = new Date(time);
	var year = mytime.getFullYear();
	var month = mytime.getMonth() + 1;
	var day = mytime.getDate();
	var hours = mytime.getHours();
	var minutes = mytime.getMinutes();
	var seconde = mytime.getSeconds();
	month = checkTime(month);
	day = checkTime(day);
	return year + "-" + month + "-" + day;

});

function checkTime(i) { //将0-9的数字前面加上0，例1变为01 
	if(i < 10) {
		i = "0" + i;
	}
	return i;
}

function look(This) {
	var orderItemId = This.getAttribute('orderItemId');
	localStorage.setItem('orderItemId', orderItemId);
	toView("indianaDetails2", "indianaDetails2.html");
}
var checkNum = new Vue({
	el: '#checkNum',
	data: {
		info: {},
		ckeckList: [],
	}
});