mui.init()

//时间转换
Vue.filter('dateTime', function(time) {
	var mytime = new Date(time);
	var year = mytime.getFullYear();
	var month = mytime.getMonth() + 1;
	var day = mytime.getDate();
	var hours = mytime.getHours();
	var minutes = mytime.getMinutes();
	var seconde = mytime.getSeconds();
	month = checkTime(month);
	day = checkTime(day);
	hours = checkTime(hours);
	minutes = checkTime(minutes);
	seconde = checkTime(seconde);
	return year + "-" + month + "-" + day + " " + hours + ":" + minutes + ":" + seconde;

});

function checkTime(i) { //将0-9的数字前面加上0，例1变为01 
	if(i < 10) {
		i = "0" + i;
	}
	return i;
}

var otherDuoBaoDetail = new Vue({
	el: '#duoBaoDetailId',
	data: {
		duoBaoDetailList: {}
	}
})


var memberId = localStorage.getItem('memberId');
var activityId = localStorage.getItem('activityId');

//			alert(productId)
getDuoBaoDetail( memberId, activityId)

function getDuoBaoDetail(memberId, activityId) {
	mui.ajaxPost(GETDUOBAODETAIL, {
		memberId: memberId,
		activityId: activityId
	}, function success(data) {
		if(data.status == '1') {	
			if(data.detail.luckyNumber==0){			
			document.getElementById('openTime').style.display='none';
			document.getElementById('luckyNumber').innerHTML='本期幸运号码： 正在揭晓';
		}
			
			otherDuoBaoDetail.duoBaoDetailList = data.detail;
		}
	}, function(error) {
		mui.toast('网络错误')
	})
};

//查看他人某个订单的幸运码（一元玩购）

var myLuckyNum = new Vue({
	el: '#luckyNumId',
	data: {
		luckNumList: []
	}
})


var memberId = localStorage.getItem('memberId');
var orderItemId = localStorage.getItem('orderItemId');
var pageNo = 1;
//			alert(productId)
getLuckyNum(memberId, orderItemId, pageNo)


function getLuckyNum(memberId, orderItemId, pageNo) {
	mui.ajaxPost(GETLUCKYNUMBERS, {
		memberId: memberId,
		orderItemId: orderItemId,
		pageNo: pageNo
	}, function success(data) {
		if(data.status == '1') {
			var luckNumStr = data.luckyNumbers;
			var luckNumArr = luckNumStr.split(',');
			myLuckyNum.luckNumList = luckNumArr;

		}
	}, function(error) {
		mui.toast('网络错误')
	})
};