mui.init()

//时间转换
Vue.filter('dateTime', function(time) {
	var mytime = new Date(time);
	var year = mytime.getFullYear();
	var month = mytime.getMonth() + 1;
	var day = mytime.getDate();
	var hours = mytime.getHours();
	var minutes = mytime.getMinutes();
	var seconde = mytime.getSeconds();
	month = checkTime(month);
	day = checkTime(day);
	hours = checkTime(hours);
	minutes = checkTime(minutes);
	seconde = checkTime(seconde);
	return year + "-" + month + "-" + day + " " + hours + ":" + minutes + ":" + seconde;

});

function checkTime(i) { //将0-9的数字前面加上0，例1变为01 
	if(i < 10) {
		i = "0" + i;
	}
	return i;
}

var myDuoBaoDetail = new Vue({
	el: '#duoBaoDetailId',
	data: {
		myduoBaoDetailList: {}
	}
})

var activityId = localStorage.getItem('activityId');

//			alert(productId)
getDuoBaoDetail(activityId)

function getDuoBaoDetail(activityId) {
	mui.ajaxPost(GETMYDUOBAODETAIL, {
		activityId: activityId
	}, function success(data) {
		if(data.status == '1') {
			
			
			if(data.detail.luckyNumber==0){
			
			document.getElementById('openTime').style.display='none';
			document.getElementById('luckyNumber').innerHTML='本期幸运号码： 正在揭晓';
		}
			
			
			console.log(data.detail)
			myDuoBaoDetail.myduoBaoDetailList = data.detail;
		}
	}, function(error) {
		mui.toast('网络错误')
	})
};

//查看他人某个订单的幸运码（一元玩购）

var oldData = null;
var loadLock = true;
var newNumStr;
var newLuckNumArr = []

var myLuckyNum = new Vue({
	el: '#luckyNumId',
	data: {
		myLuckNumList: []
	}
})

var orderItemId = localStorage.getItem('orderItemId');

var pageNo = 1;
//			alert(productId)
function getLuckyNum(orderItemId, pageNo) {
	mui.ajaxPost(GETMYLUCKYNUMBERS, {
		orderItemId: orderItemId,
		pageNo: pageNo
	}, function success(data) {
		if(data.status == '1') {
			document.getElementsByClassName('colorRed')[0].innerHTML = data.quantity;
			//			分页
			if(pageNo == 1) {
				var myLuckNumStr = data.luckyNumbers;
				var myLuckNumArr = myLuckNumStr.split(',');
				console.log(myLuckNumArr)

				myLuckyNum.myLuckNumList = myLuckNumArr;
				if(myLuckNumArr.length > 0) {
					if(myLuckNumArr.length < 500) {
						document.getElementById("more").innerHTML = "没有更多数据了";
						loadLock = false;
					}
				}
			} else {
				oldData = myLuckyNum.myLuckNumList;

				newNumStr = data.luckyNumbers
				newLuckNumArr = newNumStr.split(',');

				myLuckyNum.myLuckNumList = oldData.concat(newLuckNumArr);
				var newdata = newLuckNumArr;
				console.log(data.data)
				if(newdata.length < 500) {
					loadLock = false;
					document.getElementsByClassName("more")[0].innerHTML = "没有更多数据了";
				}
			}

		}
	}, function(error) {
		mui.toast('网络错误')
	})
};

getLuckyNum(orderItemId, pageNo);

mui("main").on("tap", "#more", function() {

	if(loadLock == true) {
		pageNo++;
		getLuckyNum(orderItemId, pageNo);
	}
});