mui.init();

(function() {
	var html = document.getElementsByTagName('html')[0];
	var width = document.documentElement.clientWidth || document.body.clientWidth;
	html.style.fontSize = width / 375 * 20 * 2 + 'px';
})()


var myVue = new Vue({
	el: "#activitiesPage",
	data: {
		activitiesPageList: []
	}
})

mui.ajaxPost(QUERYLASTESTLIST, {}, function success(data) {
	if(data.status == '1') {
		myVue.activitiesPageList = data.data;
		myVue.$nextTick(function() {
			mui("ul").on("tap", ".getLi", function() {
				var bannerUrl = this.getAttribute("bannerurl");

				//				传递头部参数
				var channelToken = localStorage.getItem('channelToken');
				var uniqueCode = localStorage.getItem('uniqueCode');
				var version_number = localStorage.getItem('version_number');
				//				console.log(channelToken)
				//				console.log(uniqueCode)
				//				console.log(version_number)

				bannerUrl = bannerUrl + '?channelToken=' + channelToken + '&uniqueCode=' + uniqueCode + '&version_number=' + version_number;
				//				console.log(bannerUrl);

				var aaaArr = bannerUrl.split('?');
				var bbbArr = aaaArr[1].split('&');
				var cccArr = bbbArr[0].split('=');

				var activityType = cccArr[1];
				//					console.log(activityType);
				//					console.log(bannerUrl);
				ACTIVITY(activityType, bannerUrl);
			})
		})
	} else {
		mui.toast(data.msg);
	}
}, function error(error) {
	mui.toast('网络错误');
})

mui("ul").on("tap", "#kefu", function() {
	window.parent.popToView("kefu", "../mine/kefu.html");
})