mui.init();

var myVue = new Vue({
	el: "#pastActivities",
	data: {
		rightNowNum: null,
		rightNowStatus: null,
		pastOrderList: [],
		weiJieXiaoArr: []
	}
})

var productId = localStorage.getItem('homeGoodsId');
var pastActivitiesArr = []
var loadLock=true;
var oldData=null;
var newdata=null;
//			var productId = 59;
var pageNo = 1; //int  页码，从1开始
var pageSize = 10; //int  每页数量 
//			alert(productId)


function getPastActvityRecord(productId, pageNo, pageSize) {
	mui.ajaxPost(GETPASTACTIVITIES, {
		productId: productId,
		pageNo: pageNo,
		pageSize: pageSize
	}, function success(data) {
		if(data.status == '1') {
			console.log(data.activities)

			//			 pastActivitiesArr = data.activities;

			//			添加分页
			if(pageNo == 1) {
				//				myDuoBao.duoBaoRecordList = data.data;
				pastActivitiesArr = data.activities;
				if(pastActivitiesArr.length>=0) {
					if(pastActivitiesArr.length < 10) {
						document.getElementById("more").innerHTML = "没有更多数据了";
						loadLock = false;
					}
				}
			} else {
				oldData = pastActivitiesArr;
				 newdata = data.activities;
				pastActivitiesArr = oldData.concat(data.activities);
				console.log(data.activities)
				if(newdata.length < 10) {
					loadLock = false;
					document.getElementById("more").innerHTML = "没有更多数据了";
				}
			}

			myVue.$nextTick(function() {
				mui('.mui-table-view').on('tap', '.mui-table-view-cell', function() {
					var memberId = this.getAttribute('memberId');
					localStorage.setItem("memberId", memberId);
					toView("otherPeoplePage", "../announce/otherPeoplePage.html");
				});
			});

			var yiJieXiaoArr = [];
			var weiJieXiaoArr = [];
			for(var i = 0; i < pastActivitiesArr.length; i++) {
				if(pastActivitiesArr[i].status == 1) {
					yiJieXiaoArr.push(pastActivitiesArr[i])
				};

				if(pastActivitiesArr[i].status == 2) {
					weiJieXiaoArr.push(pastActivitiesArr[i]);
				};

			}
			myVue.pastOrderList = yiJieXiaoArr;
		}
	}, function(error) {
		mui.toast('网络错误')
	})
};


//点击加载更多
getPastActvityRecord(productId, pageNo, pageSize);


mui("body").on("tap", "#more", function() {
	if(loadLock == true) {
		pageNo++;
		getPastActvityRecord(productId, pageNo, pageSize);

	}
});

//		自定义过滤器

Vue.filter('dateTime', function(time) {
	var mytime = new Date(time);
	var year = mytime.getFullYear();
	var month = mytime.getMonth() + 1;
	var day = mytime.getDate();
	var hours = mytime.getHours();
	var minutes = mytime.getMinutes();
	var seconde = mytime.getSeconds();
	month = checkTime(month);
	day = checkTime(day);
	hours = checkTime(hours);
	minutes = checkTime(minutes);
	seconde = checkTime(seconde);
	return year + "-" + month + "-" + day + " " + hours + ":" + minutes + ":" + seconde;

});

function checkTime(i) { //将0-9的数字前面加上0，例1变为01 
	if(i < 10) {
		i = "0" + i;
	}
	return i;
}