mui.init()
var ainput = document.getElementsByTagName("input");
var change = true;
var oLock = true;
var passwordFlag = false;
var userNameFlag = false;
var passwordPatrn = /^(?![0-9]+$)(?![a-zA-Z]+$)[0-9A-Za-z]{6,12}$/;
var userNamePatrn = /^(13[0123456789]|147|15[012356789]|18[012356789]|17[012356789])\d{8}$/;

ainput[0].onfocus = function() {
	this.parentElement.style.borderColor = "#DB3652";
}
ainput[0].onblur = function() {
	this.parentElement.style.borderColor = "#f0f0f0";	 
	if(!userNamePatrn.test(this.value)) {
		userNameFlag = false;
		mui.toast("请输入正确的手机号");
		return;
	} else {
		userNameFlag = true;
	}

};
//验证码动态和验证
ainput[1].onfocus = function() {
	this.parentElement.style.borderColor = "#DB3652";
}
ainput[1].onblur = function() {
	this.parentElement.style.borderColor = "#f0f0f0";
}
//密码验证
ainput[2].onfocus = function() {
	this.parentElement.style.borderColor = "#DB3652";
}
ainput[2].onblur = function() {
	this.parentElement.style.borderColor = "#f0f0f0";
 
	if(!passwordPatrn.test(this.value)) {
		passwordFlag = false;
		mui.toast('密码应为6-12个字母与数字组合');
		return;
	} else {
		passwordFlag = true;
	}
};

//倒计时
function settime(obtain) {
	var i = 60;
	oLock = false;
	obtain.style.color = "#fff";
	//	obtain.classList.add("backred");
	//	obtain.classList.remove("background");
	var timer = setInterval(function() {
		obtain.innerHTML = "(" + i + ")秒后重新获取";
		i--;
		if(i < 0) {
			Clear();
		}
	}, 1000)

	function Clear() {
		clearTimeout(timer);
		oLock = true;
		obtain.innerHTML = "获取验证码";
		obtain.style.color = "#fff";
		//		obtain.classList.add("background");
		//		obtain.classList.remove("backred");
	}
};
//获取验证码
mui(".mui-input-row").on("tap", "#obtain", function() {
	
	if(oLock == true) {
		var obtain = document.getElementById("obtain");
		if(ainput[0].value == "") {
			mui.toast("请输入正确的手机号");
		} else {
			ainput[1].focus();
			var string = ainput[0].value + "29e94f94-8664-48f2-a4ff-7a5807e13b68";
			var toUpStr = string.toUpperCase();
			mui.ajaxPost(SMSCODEUPDATE, {
				mobile: ainput[0].value,
				sign: ($.md5(toUpStr))
			}, function(data) {
				if(data.status == "1") {
					settime(obtain);
				} else {
					mui.toast(data.msg);
					obtain.style.color = "#fff";
					obtain.style.borderColor = "#DB3652";
				}
			}, function(err) {
				mui.toast("网络请求错误");
			})
		}
	}
})

//清空手机号	
mui(".mui-input-row").on("tap", "#clearNumber", function() {
	ainput[0].value = "";
})

//密码显示与隐藏切换
mui(".mui-input-row").on("tap", "#hide_password", function() {
	if(change) {
		ainput[2].type = "text";
		mui("#hide_password")[0].src = "../../images/show@2x.png";
		change = false;
		return;
	}
	if(!change) {
		ainput[2].type = "password";
		mui("#hide_password")[0].src = "../../images/hied@2x.png";
		change = true;
		return;
	}
})
//保存 
mui(".mui-button-row").on("tap", "#register", function() {	
	ainput[0].blur();
	ainput[1].blur();
	ainput[2].blur();
	if(userNameFlag&&passwordFlag){		
		passwordFlag = false;
		userNameFlag = false;
		var para = {};
		para.mobile = ainput[0].value;
		para.smsCode = ainput[1].value;
		para.newPassword = ainput[2].value;
		mui.ajaxPost(RESETPASSWORD, para, function(data) {
			if(data.status == 1) {
				passwordFlag = true;
				userNameFlag = true;				
				USER_TOKEN = data.data;
				localStorage.setItem("uniqueCode", "");
				mui.back();
			}else{
				passwordFlag = true;
				userNameFlag = true;
				mui.toast(data.msg);	
			}
		}, function(err) {
			passwordFlag = true;
			userNameFlag = true;
			mui.toast("网络请求错误");
		})
	}

})