var self = null;
(function($) {
	//阻尼系数
	var deceleration = mui.os.ios ? 0.003 : 0.0009;
	$('.mui-scroll-wrapper').scroll({
		bounce: true,
		indicators: false, //是否显示滚动条
		deceleration: deceleration
	});
	$.ready(function() {
		//循环初始化所有下拉刷新，上拉加载。
		$.each(document.querySelectorAll('.mui-slider-group .mui-scroll'), function(index, pullRefreshEl) {
			//			console.log(index)
			//			console.log(pullRefreshEl)
			$(pullRefreshEl).pullToRefresh({
				down: {
					height: 50, //可选,默认50.触发下拉刷新拖动距离,
					auto: false, //可选,默认false.自动下拉刷新一次
					contentdown: "下拉可以刷新", //可选，在下拉可刷新状态时，下拉刷新控件上显示的标题内容
					contentover: "释放立即刷新", //可选，在释放可刷新状态时，下拉刷新控件上显示的标题内容
					contentrefresh: "正在刷新...", //可选，正在刷新状态时，下拉刷新控件上显示的标题内容
					callback: function() {
						//alert(index)
						self = this;
						if(index == '0') {

							setTimeout(function() {
								joining(1);
								self.endPullDownToRefresh();
								pageNo1 = 1;
							}, 1500)

						};
						if(index == '1') {
							setTimeout(function() {
								joined(1);
								self.endPullDownToRefresh();
								pageNo2 = 1;
							}, 1500)

						}

					}
				},
				up: {
					height: 50, //可选.默认50.触发上拉加载拖动距离
					auto: false,
					show: false,
					contentinit: '正在加载...',
					contentdown: '正在加载...',
					contentrefresh: '正在加载...',
					contentnomore: '没有更多数据了',
					callback: function() {
						self = this;

						if(index == '0') {
							setTimeout(function() {
								joiningGetMore();
								self.endPullUpToRefresh(false);
							}, 1500)
						};
						if(index == '1') {
							setTimeout(function() {
								joinedGetMore();
								self.endPullUpToRefresh(false);
							}, 1500)
						};

					}
				}
			});
		});
	});
})(mui);

var activiteTab = 'opening';
var pageNo1 = 1;
var pageNo2 = 1;
var pageSize = 100;
var openedLock = false;
var openingLock = false;

Vue.use(VueLazyload, {
	preLoad: 1.3,
	error: '../../images/errorimage.png',
	loading: '../../images/loading.gif'
});

var myDuobaRecord = new Vue({
	el: '#recordbody',
	data: {
		opening: [], //进行中
		opened: [] //已揭晓
	}
});

mui('.mui-segmented-control').on('tap', '#openingbtn', function() {
	activeTab = 'opening';

});
mui('.mui-segmented-control').on('tap', '#openedbtn', function() {
	activeTab = 'opened';
	var loaded = this.getAttribute("loading");
	if(loaded == "firstTime") {
		joined(pageNo1);
		this.setAttribute("loading", "secondTime");
	}
});

//function hiddenalert(){
//	$("#payTypePage").hide();
//	$("#payNumPage").hide();
//}
//参与人次、支付页面的显示与隐藏
//function pageShow(isTrue, page) {
//	if(isTrue) {
//		if(page == "#payTypePage") {
//			document.getElementById('payTypePage').contentWindow.refreshData();
//		}
//		$(page).css("display", "block");
//		ifHeight = $(window).height();
//		$(page).height(ifHeight);
//	} else {
//		$(page).hide();
//	}
//
//}
//进行中
joining(1);

function joining(pageNo1) {
	mui.ajaxPost(JOINRECORDERING, {
		pageNo: pageNo1, // 页码，从1开始
		pageSize: pageSize // 每页数量
	}, function success(data) {
		openingLock = false;
		if(data.status == '1') {
			if(pageNo1 == 1) {
				if(data.recorders.content.length > 0) {
					myDuobaRecord.opening = data.recorders.content;

				}
			} else {
				var oldData = myDuobaRecord.opening;
				myDuobaRecord.opening = oldData.concat(data.recorders.content);
			}

			if(data.recorders.content.length < pageSize) {
				if(self != null) {
					self.endPullUpToRefresh(true);
				}
			} else {
				pageNo1++;
			}

			if(myDuobaRecord.opening.length > 0) {
				$("#item2 .duobaoImg").hide();
			} else {
				$('#item2 .more').hide();
			}

			//			loadPage[0] = loadPage[0] + 1;
			myDuobaRecord.$nextTick(function() {
				//进度条
				mui(".progress .mui-progressbar").each(function() {
					mui(this).progressbar({
						progress: this.getAttribute("data-progress")
					}).show();
				});
				//点击购买
				mui(".quality").on("tap", "button", function() {

					var unit = this.getAttribute('unit');
					localStorage.setItem('homeGoodsUnit', unit);
					var goodsId = this.getAttribute('goodsId');
					localStorage.setItem('goodsId', goodsId);
					var surplus = this.getAttribute('difference');
					localStorage.setItem('surplus', surplus);
					createBuyNum('../home/paynum.html', 'paynum');
					//					window.pageShow(true, "#payNumPage");
				});
				//点击查看
				mui("#item2 .periodes").on("tap", ".look", function() {
					var activityId = this.getAttribute('activityId');
					localStorage.setItem('activityId', activityId);
					toView("checkNum2", "../announce/checkNum2.html");
				})
			});
		} else {
			mui.toast(data.msg);
		}
	}, function error(err) {
		openingLock = false;
	});
}

//已揭晓
function joined(pageNo2) {
	mui.ajaxPost(JOINRECORDOVER, {
		pageNo: pageNo2, // 页码，从1开始
		pageSize: pageSize // 每页数量
	}, function success(data) {
		openedLock = false;
		if(data.status == '1') {
			if(pageNo2 == 1) {
				myDuobaRecord.opened = data.recorders.content;
			} else {
				var oldData = myDuobaRecord.opened;
				var newdata2 = data.recorders.content;
				myDuobaRecord.opened = oldData.concat(data.recorders.content);

			}
			if(data.recorders.content.length < pageSize) {
				if(self != null) {
					self.endPullUpToRefresh(true);
				}
			} else {
				//				pageNo2++;
			}

			if(myDuobaRecord.opened.length > 0) {
				$("#item3 .duobaoImg").hide();
			} else {
				$('#item3 .more').hide();
			}
			myDuobaRecord.$nextTick(function() {
				//点击查看
				mui("#item3 .periodes").on("tap", ".look", function() {
					var activityId = this.getAttribute('activityId');
					localStorage.setItem('activityId', activityId);
					toView("checkNum2", "../announce/checkNum2.html");
				})
			});

		} else {
			mui.toast(data.msg);
		}
	}, function error(err) {
		openedLock = false;
	});
}
//正在揭晓加载更多按钮

function joiningGetMore() {
	pageNo1++;
	joining(pageNo1);
}

//已揭晓加载更多按钮

function joinedGetMore() {
	pageNo2++;
	joined(pageNo2);
}